<?php
	/**
	 *	eBag
	 *
	 *	Open source company administration manager
	 *
	 *	@package	eBag
	 *	@author		Eper Kalman
	 *	@copyright	Copyright (c) 2012-2015, Eper Kalman
	 *	@license	GNU Affero General Public License Version 3 (http://www.gnu.org/licenses/agpl-3.0.html)
	 *	@since		Version 6.0.0
	 */

	/**
	 * eBag defragment bases
	 */
	 
	if (! defined('eBag'))	{
	
	      include('../views/logout.php'); 
	      
	      exit();
	}

	pagepermission('settings', 'w');
	
	check_for_backup_in_progress('settings');

	load_c('SQL');

	$__SQL	= new SQL();

	if ((isset($_POST['submit'])) && ($_POST['base']))	{

		load_c('DEFRAGMENT');

		$__DEFRAG	=	new DEFRAGMENT();

		$__DEFRAG	->	base($_POST['base']);
		
		$RESULT		=	$__DEFRAG->start();

		unset($__DEFRAG, $__SQL);

		if ($RESULT !== TRUE)	{

			$view	=	new View('errorbox');
			$view	->	assign('SELF', backward());
			$view	->	assign('ERROR', $__LANG->get('error'));
			$view	->	assign('ERRTXT', $__LANG->get($RESULT));
			$view	->	assign('BACK', $__LANG->get('back'));
			$view	->	display();
			exit;
		}

		$view	=	new View('sucessbox');
		$view	->	assign('SELF', backward());
		$view	->	assign('MESSAGE', $__LANG->get('basedefragmented', $_POST['base']));
		$view	->	assign('OK', $__LANG->get('ok'));
		$view	->	assign('BACKTO', backward());
		$view	->	display();
		exit;
	}

	load_m('baselist');

	$__LIST		=	new BASELIST();

	$BASENAMES	=	$__LIST->getlist();

	unset($__LIST, $__SQL);

	if (! $BASENAMES)	{

		$view	=	new View('errorbox');
		$view	->	assign('SELF', 'loader.php?cat=section&amp;id=settings');
		$view	->	assign('ERROR', $__LANG->get('error'));
		$view	->	assign('ERRTXT', $__LANG->get('nobasesfound'));
		$view	->	assign('BACK', $__LANG->get('back'));
		$view	->	display();
		exit;
	}

	load_f('mb_wrap');

	$view	=	new View('basedefragment');

	$view	->	assign('SELF', backward());
	$view	->	assign('DEFRAGMENT_BASES', $__LANG->get('defragment_bases'));
	$view	->	assign('DEFRAGMENT_BASE', $__LANG->get('defragment_base'));
	$view	->	assign('DEFRAGMENT', $__LANG->get('defragment'));
	$view	->	assign('WARNING', mb_wrap($__LANG->get('defragmentwarning'),50,'<br>'));
	$view	->	assign('CANCEL', $__LANG->get('cancel'));
	$view	->	assign('BACKTO', 'loader.php?cat=section&amp;id=settings');

	$view	->	assign('BASENAME', $BASENAMES); unset($BASENAMES);

	$view	->	display();
?>
