<?php
	/**
	 *	eBag
	 *
	 *	Open source company administration manager
	 *
	 *	@package	eBag
	 *	@author		Eper Kalman
	 *	@copyright	Copyright (c) 2012-2015, Eper Kalman
	 *	@license	GNU Affero General Public License Version 3 (http://www.gnu.org/licenses/agpl-3.0.html)
	 *	@since		Version 6.0.0
	 */

	/**
	 * eBag bills search
	 */
	 
	if (! defined('eBag'))	{
	
	      include('../views/logout.php'); 
	      
	      exit();
	}

	pagepermission('bills', 'r');

	# Delete previous search data

	if (isset($_GET['new']))	{

		$_SESSION['LISTPAGE']	=	0;

		if (isset($_SESSION['COMMAND'])) unset($_SESSION['COMMAND'], $_SESSION['LIMIT']);

		unset($_GET['new']);
	}

	# Display founds
	
	load_c('SQL');

	$__SQL	= new SQL();

	if (	(isset($_POST['submit'])) or 
		(isset($_SESSION['COMMAND']))	)		{

			unset($_POST['submit']);

			load_c('SEARCH');

			$search		=	new SEARCH($_SESSION['BASE'].'.bills_header', $_GET['cat'], 'billdetails', 'billchange', 'billdelete', PAGEINCREMENT, $_SESSION['list_limit']);
			$COLUMNS	=	array('personID', 'contactname', 'city', 'payment_form', 'connected_with_deliverys', 'connected_with_reverses', 'date_of_creation');
			$search		->	column($COLUMNS);

			if (! isset($_POST)) $_POST=array();

			if ($search->addsearch($_POST)); unset($_POST);

			$_SESSION['FROM']	=	backward();

			if ($search->create())	{

				$HTMLTABLE	=	&$search->TABLE;

				$view	=	new View('tablesearch');
				$view 	->	assign('HTMLTABLE', $HTMLTABLE); unset($HTMLTABLE, $search, $__SQL);
				$view 	->	assign('SELF', backward());
				$view 	->	assign('FOCUS', 'NEW');				
				$view	->	display();
				exit;
			}
			
			unset($HTMLTABLE, $search, $__SQL);

			$view	=	new View('errorbox');
			$view	->	assign('SELF', backward());
			$view	->	assign('ERROR', $__LANG->get('error'));
			$view	->	assign('ERRTXT', $__LANG->get('nothingtosearch'));
			$view	->	assign('BACK', $__LANG->get('back'));
			$view	->	display();
			exit;
	}

	$view	=	new View('billsearch');

	$view	->	assign('SELF', backward());
	$view	->	assign('BILL_SEARCH', $__LANG->get('billsearch'));
	$view	->	assign('BILLID', $__LANG->get('personIDlong'));
	$view	->	assign('CUSTOMER', $__LANG->get('customer'));
	$view	->	assign('COUNTRY', $__LANG->get('country'));
	$view	->	assign('CITY', $__LANG->get('city'));
	$view	->	assign('DATE_OF_CREATION', $__LANG->get('date_of_creation'));
	$view	->	assign('DATE_OF_PAYMENT_DEADLINE', $__LANG->get('payment_deadline'));
	$view	->	assign('CONNECTED_WITH_REVERSES', $__LANG->get('connected_with_reverses'));
	$view	->	assign('CONNECTED_WITH_ORDERS', $__LANG->get('connected_with_orders'));
	$view	->	assign('PAYMENT', $__LANG->get('payment_form'));
	$view	->	assign('ORIGIN', $__LANG->get('origin'));

	$__PAYMENTS	=	new PAYMENTloader($__CONF->get('cache', 'use_apc_cache'));

	$view	->	assign('PAYMENTS', $__PAYMENTS->getnames());

	unset($__PAYMENTS, $__SQL);

	$view	->	assign('CODE', $__LANG->get('code'));
	$view	->	assign('QUANTITY', $__LANG->get('quantity'));

	$view	->	assign('SEARCH', $__LANG->get('search'));
	$view	->	assign('CANCEL', $__LANG->get('cancel'));
	$view	->	assign('RESET', $__LANG->get('reset'));

	$ELEMENTS	=	array ('!=0'=>'!=0', '=0'=>'=0', '<0'=>'&lt;0', '<10'=>'&lt;10', '<50'=>'&lt;50', '<100'=>'&lt;100', '<500'=>'&lt;500', '<1000'=>'&lt;1000');

	$view	->	assign('ELEMENT', $ELEMENTS); unset($ELEMENTS);

	$ORIGINS	=	array(1=>$__LANG->get('origin1'), 2=>$__LANG->get('origin2'), 3=>$__LANG->get('origin3'));

	$view	->	assign('ORIGINS', $ORIGINS); unset($ORIGINS);
	
	$view	->	display();

?>
	
