<?php
	/**
	 *	eBag
	 *
	 *	Open source company administration manager
	 *
	 *	@package	eBag
	 *	@author		Eper Kalman
	 *	@copyright	Copyright (c) 2012-2015, Eper Kalman
	 *	@license	GNU Affero General Public License Version 3 (http://www.gnu.org/licenses/agpl-3.0.html)
	 *	@since		Version 6.0.0
	 */

	/**
	 * eBag ordered offer & ordered partial offer
	 */

	if (! defined('eBag'))	{
	
	      include('../views/logout.php'); 
	      
	      exit();
	}
	
	check_year_for_write('orders');

	pagepermission('orders', 'w');
	 
	load_c('SQL');

	$__SQL	= new SQL();

	if ((isset($_POST['submit'])) && (! is_empty($_POST['id'])) && ((integer)$_POST['id'] > 0))	{

		load_m('orderedoffer');

		$__ORDER	=	new ORDEREDOFFER();
		$RESULT		=	$__ORDER->offer2order($_POST['id'], $_POST['year']);
		$NEWID 		=	$__ORDER->getid();
		$ORDER2STOCK	=	$__ORDER->ORDER_TO_STOCK;
		$COPYREPORT	=	$__ORDER->COPYREPORT;

		unset($__SQL, $__ORDER);

		if ($RESULT !== TRUE)	{

			# analize error type

			if (strpos($RESULT, '->') !== FALSE)	{

				list ($errtype, $point, $pointID)	= explode('->', $RESULT);

				$ERROR	=	$__LANG->get($errtype, $__LANG->get($point).': '.$pointID);

			}	else	 {

				$ERROR	= $__LANG->get($RESULT);
			}

			$view	=	new View('errorbox');
			$view	->	assign('SELF', backward());
			$view	->	assign('ERROR', $__LANG->get('error'));
			$view	->	assign('ERRTXT', $ERROR);
			$view	->	assign('BACK', $__LANG->get('back'));
			$view	->	display();
			exit;
		}

		if ($COPYREPORT) $COPYREPORT =	' ( '.$__LANG->get('copied').' '.$COPYREPORT.' )';

		if ($ORDER2STOCK)	{

			header("location: loader.php?cat=order2stock_from_sell&id=$NEWID&rep=$COPYREPORT");
	
			exit;
		}

		header("location: loader.php?cat=orderwrited&id=$NEWID&ord_off=1&rep=$COPYREPORT");

		exit;
	}

	load_m('years');

	$__YEARS	=	new YEARS;

	$YEARS	=	$__YEARS->read();

	unset($__YEARS, $__SQL);

	$view	=	new View('orderedoffer');

	$view 	->	assign('SELF', backward());
	$view 	->	assign('OFFERSELECT', $__LANG->get('offerselect'));
	$view 	->	assign('SELECTID', $__LANG->get('offerbynumber'));
	$view 	->	assign('OFFERYEAR', $__LANG->get('offeryear'));
	$view 	->	assign('YEARS', $YEARS); unset($YEARS);
	$view 	->	assign('CURRENTYEAR', date("Y"));
	$view	->	assign('BACKTO', 'loader.php?cat=section&amp;id=orders');
	$view 	->	assign('OK', $__LANG->get('ok'));
	$view 	->	assign('RESET', $__LANG->get('reset'));
	$view 	->	assign('CANCEL', $__LANG->get('cancel'));

	$view	->	display();

?>
