<?php
	/**
	 *	eBag
	 *
	 *	Open source company administration manager
	 *
	 *	@package	eBag
	 *	@author		Eper Kalman
	 *	@copyright	Copyright (c) 2012-2015, Eper Kalman
	 *	@license	GNU Affero General Public License Version 3 (http://www.gnu.org/licenses/agpl-3.0.html)
	 *	@since		Version 6.0.0
	 */

	/**
	 * eBag salary(s) print by id's or by month
	 */

	if (! defined('eBag'))	{
	
	      include('../views/logout.php'); 
	      
	      exit();
	}
	 
	pagepermission('salarys', 'r');

	$view	=	new View('salary_print');
	
	$view	->	assign('SELF', backward());
	$view	->	assign('TYPE', 'salary');
	
	$view	->	assign('SELECT_SALARY', $__LANG->get('salaryprint'));
	$view	->	assign('PRINT_BY_IDS', $__LANG->get('printbyids'));
	$view	->	assign('PRINT_BY_MONTH', $__LANG->get('printbymonth'));
	$view	->	assign('PRINT_BY_SEMI_MONTH', $__LANG->get('printbysemimonth'));

	$MONTHS = $MONTH_PARTS = array();
	
	for ($i=1; $i<=12; $i++)	{
	
		# months
	
		$MONTHS[$i] = $__LANG->get("monthname$i");
	
		# semi-months
		
		$j = $i*2;
		
		$MONTH_PARTS[$j-1] = $MONTHS[$i].'&nbsp;&nbsp;&nbsp;I';

		$MONTH_PARTS[$j]   = $MONTHS[$i].'&nbsp;&nbsp;II';
	}

	$view	->	assign('MONTHNAMES', $MONTHS); unset($MONTHS);
	$view	->	assign('MONTH_PART_NAMES', $MONTH_PARTS); unset($MONTH_PARTS);

	$view	->	assign('OK', $__LANG->get('ok'));
	$view	->	assign('RESET', $__LANG->get('reset'));
	$view	->	assign('CANCEL', $__LANG->get('cancel'));
	$view	->	assign('BACKTO', 'loader.php?cat=section&amp;id=salarys');

	$view	->	display();

?>
