<?php
	/**
	 *	eBag
	 *
	 *	Open source company administration manager
	 *
	 *	@package	eBag
	 *	@author		Eper Kalman
	 *	@copyright	Copyright (c) 2012-2015, Eper Kalman
	 *	@license	GNU Affero General Public License Version 3 (http://www.gnu.org/licenses/agpl-3.0.html)
	 *	@since		Version 6.0.0
	 */

	/**
	 * eBag services list
	 */
	 
	if (! defined('eBag'))	{
	
	      include('../views/logout.php'); 
	      
	      exit();
	}

	pagepermission('services', 'r');
 
	load_c('SQL');

	$__SQL	=  new SQL();

	load_c('TABLE');

	# set the base
	$BASE	=	'ebagstock';

	$table	=	new TABLE($BASE.'.services', 'servicedetails', 'servicechange', 'servicedelete', PAGEINCREMENT, $_SESSION['list_limit']);

	$table	->	column('personID');
	$table	->	column('code', 'box');
	$table	->	column('servicename', 'box');
	$table	->	column('unit', 'static');
	$table	->	column('price', 'numeric');
	$table	->	column('tax', 'box');
	$table	->	column('price_with_tax', 'numeric');

	$table	->	create();

	$HTMLTABLE	=	&$table->TABLE;

	$_SESSION['FROM'] = backward();

	$view	=	new View('tablelist');
	$view 	->	assign('HTMLTABLE', $HTMLTABLE); unset($HTMLTABLE, $table, $__SQL);
	$view 	->	assign('FOCUS', 'code');
	$view 	->	assign('SELF', backward());
	$view	->	display();
	
?>
