<?php
	/**
	 *	eBag
	 *
	 *	Open source company administration manager
	 *
	 *	@package	eBag
	 *	@author		Eper Kalman
	 *	@copyright	Copyright (c) 2012-2015, Eper Kalman
	 *	@license	GNU Affero General Public License Version 3 (http://www.gnu.org/licenses/agpl-3.0.html)
	 *	@since		Version 5.0.0
	 */

	/**
	 * eBag direct stock enter details
	 */

	if (! defined('eBag'))	{
	
	      include('../views/logout.php'); 
	      
	      exit();
	}
	 
	pagepermission('stock', 'w');

	load_c('SQL');

	$__SQL	= new SQL();

	load_m('stockenterread');

	$__ENTER	=	new STOCKENTERREAD('finished_goods_stock');

	$ENTERDATA	=	$__ENTER->read($_GET['id']);

	unset($__ENTER, $__SQL);

	if (! $ENTERDATA)	{

		$view	=	new View('errorbox');
		$view	->	assign('SELF', $_SESSION['FROM']);
		$view	->	assign('ERROR', $__LANG->get('error'));
		$view	->	assign('ERRTXT', $__LANG->get('cannotread'));
		$view	->	assign('BACK', $__LANG->get('back'));
		$view	->	display();
		exit;
	}

	$view	=	new View('quantityenterdetails');

	$view	->	assign('QUANTITY_ENTER_DETAILS', $__LANG->get('stockenterdetails', $_GET['id']));
	$view	->	assign('PERSONID', $__LANG->get('personIDlong'));
	$view	->	assign('CODE', $__LANG->get('code'));
	$view	->	assign('NAME', $__LANG->get('articalname'));
	$view	->	assign('UNIT', $__LANG->get('unit'));
	$view	->	assign('BILL_NUMBER', $__LANG->get('bill_number'));
	$view	->	assign('DELIVERY_LIST_NUMBER', $__LANG->get('delivery_list_number'));
	$view	->	assign('QUANTITY', $__LANG->get('quantity'));
	$view	->	assign('STOCKITEMNAME', 'articalname');
	$view	->	assign('USER', $__LANG->get('lastname'));
	$view	->	assign('DATE', $__LANG->get('date'));

	# form data
	
	$view	->	assign('DATA', $ENTERDATA); unset($ENTERDATA);

	$view 	->	assign('OK', $__LANG->get('ok'));
	$view 	->	assign('RESET', $__LANG->get('reset'));
	$view	->	assign('BACKTO', $_SESSION['FROM']);
	$view 	->	assign('CANCEL', $__LANG->get('cancel'));	

	$view	->	display();
	exit;

?>
