<?php
	/**
	 *	eBag
	 *
	 *	Open source company administration manager
	 *
	 *	@package	eBag
	 *	@author		Eper Kalman
	 *	@copyright	Copyright (c) 2012-2015, Eper Kalman
	 *	@license	GNU Affero General Public License Version 3 (http://www.gnu.org/licenses/agpl-3.0.html)
	 *	@since		Version 6.0.0
	 */

	/**
	 * eBag users list
	 */

	if (! defined('eBag'))	{
	
	      include('../views/logout.php'); 
	      
	      exit();
	}
	 
	pagepermission('users', 'w');

	load_c('SQL');

	$__SQL	=	new SQL();

	load_c('TABLE');

	# set the base

	$BASE	=	'ebag';

	$table	=	new TABLE($BASE.'.users', 'userdetails', 'userchange', 'userdelete', PAGEINCREMENT, $_SESSION['list_limit']);

	$table	->	column('personID');
	$table	->	column('surname', 'box');
	$table	->	column('lastname', 'box');
	$table	->	column('username', 'box');
	$table	->	column('mail', 'box');

	$table	->	create();

	$HTMLTABLE	=	&$table->TABLE;

	$_SESSION['FROM'] = backward();

	$view	=	new View('tablelist');
	$view 	->	assign('HTMLTABLE', $HTMLTABLE); unset($HTMLTABLE, $table, $__SQL);
	$view 	->	assign('FOCUS', 'surname');
	$view 	->	assign('SELF', backward());
	$view	->	display();

?>
