<?php
	/**
	 *	eBag
	 *
	 *	Open source company administration manager
	 *
	 *	@package	eBag
	 *	@author		Eper Kalman
	 *	@copyright	Copyright (c) 2012-2015, Eper Kalman
	 *	@license	GNU Affero General Public License Version 3 (http://www.gnu.org/licenses/agpl-3.0.html)
	 *	@since		Version 6.0.0
	 */

	/**
	 * Returns correct flag for htmlspecialchars function
	 */

	function specialchars_flag()	{

		# note: ENT_HTML401=0 => ENT_COMPAT|ENT_HTML401 = ENT_COMPAT
		
		if (defined('ENT_SUBSTITUTE'))	{
		
			return ENT_COMPAT|ENT_SUBSTITUTE;
			  
		}	elseif (defined('ENT_IGNORE'))	{
		
			return ENT_COMPAT|ENT_IGNORE;
			
		}	else   {
		
			return ENT_COMPAT;
		}
	}

?>
