	/**
	 *	eBag
	 *
	 *	Open source company administration manager
	 *
	 *	@package	eBag
	 *	@author		Eper Kalman
	 *	@copyright	Copyright (c) 2012-2015, Eper Kalman
	 *	@license	GNU Affero General Public License Version 3 (http://www.gnu.org/licenses/agpl-3.0.html)
	 *	@since		Version 6.0.0
	 */
	
	/**
	 * Request and display logged users
	 */

	function ShowList()	{

		var xmlHttp	=	createXmlHttpRequestObject();

		xmlHttp.onreadystatechange=function()	{

			if (xmlHttp.readyState==4 && xmlHttp.status==200)	{

				var data	=	 xmlHttp.responseText;
				var tag		=	 document.getElementById('call');

				if (data)	{

					tag.innerHTML 	= 	data;
					tag.className	=	'callshow';
				}
	    		}
	  	}

		xmlHttp.open('GET','../requests/listloggeds.php?from=' + encodeURIComponent(document.header.userMD5.value) + '&nc=' + (new Date().getTime()).toString(), true);

		xmlHttp.send();
	}

	/**
	 * Request logged user call
	 */

	function UserCall(TO)	{

		if ( TO != 'thishide')	{

			var xmlHttp	=	createXmlHttpRequestObject();

			xmlHttp.open('GET', '../requests/invitate.php?to=' + encodeURIComponent(TO) + '&from=' + encodeURIComponent(document.header.user.value) + '&nc=' + (new Date().getTime()).toString(), true);

			xmlHttp.send();
		}
	
		document.getElementById('call').className = 'callhide';
	}

	/**
	 * Request check for chat invitation
	 */

	function CallCheck()	{

		var xmlHttp	=	createXmlHttpRequestObject();

		xmlHttp.onreadystatechange=function()	{

			if (xmlHttp.readyState==4 && xmlHttp.status==200)	{

				var data = xmlHttp.responseText;

				if (data) alert(document.header.invtext.value.replace('%s', data));

	    		}
	  	}

		xmlHttp.open('GET','../requests/checkinvitate.php?to=' + encodeURIComponent(document.header.userMD5.value) + '&nc=' + (new Date().getTime()).toString(), true);

		xmlHttp.send();

		setTimeout("CallCheck();", 15000);
	}

