	/**
	 *	eBag
	 *
	 *	Open source company administration manager
	 *
	 *	@package	eBag
	 *	@author		Eper Kalman
	 *	@copyright	Copyright (c) 2012-2015, Eper Kalman
	 *	@license	GNU Affero General Public License Version 3 (http://www.gnu.org/licenses/agpl-3.0.html)
	 *	@since		Version 6.0.0
	 */
	
	/**
	 * 	eBag create request for employee working hours state at defined date
	 *	and fills the form with data to change it
	 */

	function hoursread(BASE)	{

		var xmlHttp	=	createXmlHttpRequestObject();

		xmlHttp.onreadystatechange=function()	{

			if (xmlHttp.readyState==4 && xmlHttp.status==200)	{
			  
				var boxvalue = 0;
				
				var boxes = ['night_work', 'night_overtime_work', 'holiday_work', 'sick_leave', 'sick_leave_100', 'annual_leave', 'holiday'];

				var i;

				if (xmlHttp.responseText)	{
				  
					var xmldoc	=	 xmlHttp.responseXML;

					var work_hours = xmldoc.getElementsByTagName('work_hours');

					document.forms[0].work_hours.value		=	work_hours[0].childNodes[0].nodeValue;

					var overtime_work_hours =  xmldoc.getElementsByTagName('overtime_work_hours');

					document.forms[0].overtime_work_hours.value	=	overtime_work_hours[0].childNodes[0].nodeValue;

					for (i=0; i<7; i++)	{

						var boxname	=	xmldoc.getElementsByTagName(boxes[i]);

						boxvalue	=	boxname[0].childNodes[0].nodeValue;

						if (boxvalue == 1)	{

							document.forms[0][boxes[i]].checked = true;

						}	else	  {

							document.forms[0][boxes[i]].checked = false;
						}
					}

				}	else	  {
				  
					document.forms[0].work_hours.value		=	'';
					document.forms[0].overtime_work_hours.value	=	'';
				  
					for (i=0; i<7; i++)	{

						document.forms[0][boxes[i]].checked = false;
					}

					alert(document.forms[0].nodef.value);
				}
				
	    		}
	  	}
	
		var currentdate	= 	document.forms[0].date.value;

		var selected	=	document.forms[0].employeeID.selectedIndex;

		if (! selected) {

			document.forms[0].reset();
			return;
		}


		var employee_ID	= document.forms[0].employeeID.options[selected].value;

		if ((! currentdate) || (! employee_ID))	{

			return;
		}

		var LINK = '../requests/hoursread.php?id=' + employee_ID + '&base=' + BASE + '&date=' + currentdate + '&nc=' + (new Date().getTime()).toString();

		xmlHttp.open('GET', LINK, true);

		xmlHttp.send();
	}

