	/**
	 *	eBag
	 *
	 *	Open source company administration manager
	 *
	 *	@package	eBag
	 *	@author		Eper Kalman
	 *	@copyright	Copyright (c) 2012-2015, Eper Kalman
	 *	@license	GNU Affero General Public License Version 3 (http://www.gnu.org/licenses/agpl-3.0.html)
	 *	@since		Version 6.0.0
	 */
	
	/**	
	 * Focus to the next field by id
	 */

	function nextfield(field, event, target)	{

		var CODE = event.keyCode ? event.keyCode : event.which ? event.which : event.charCode;

		if ((CODE == 13) && (field.type != 'textarea'))	{
		  
			var next_f = document.getElementById(target);

			if ((next_f == null) || (next_f.disabled == true)) { next_f = field; }

			next_f.focus();

			return false;
		}

		return true;
	}     


