	/**
	 *	eBag
	 *
	 *	Open source company administration manager
	 *
	 *	@package	eBag
	 *	@author		Eper Kalman
	 *	@copyright	Copyright (c) 2012-2015, Eper Kalman
	 *	@license	GNU Affero General Public License Version 3 (http://www.gnu.org/licenses/agpl-3.0.html)
	 *	@since		Version 6.0.0
	 */
	
	/**
	 * eBag controlls salary personal settings form
	 */

	var FORM_TABLE_HEIGHT;
	
	function uniqid(type)	{

		var ID = 1;

		var ROWID;
		
		while(true)	{

			ROWID	=	type + '_' + ID;

			if (document.getElementById(ROWID)==null)	break;

			ID++;
		}

		return ID;
	}

	function addrow_a(no)	{

		var NAME_STR		= 	document.forms[0].name_str.value;
		var VALUE_STR		= 	document.forms[0].value_str.value;
		var BASE_STR		=	document.forms[0].base_str.value;
		var START_STR		= 	document.forms[0].start_str.value;
		var PREVIOUS_STR	= 	document.forms[0].previous_str.value;
		var TYPE_STR		= 	document.forms[0].type_str.value;
		var FIXED_STR		= 	document.forms[0].fixed_str.value;
		var PERCENT_STR		= 	document.forms[0].percent_str.value;

		var id = uniqid('additionals');

		var TABLE	=	'<tr id="additionals_' + id + '"><td colspan="3"><table><tr><td>' + NAME_STR + '</td><td>' + 
					'<input id="additional_name_' + id +'" name="additional_name[]" style="width: 130px" value="" onkeypress="return nextfield(this, event, \'additional_value_' + id + '\')">' +
					'</td><td>' + VALUE_STR + '</td><td><input id="additional_value_' + id + '" name="additional_value[]" style="width: 60px" value="" onkeypress="return nextfield(this, event, \'additional_type_' + id + '\')">' +
					'</td><td>' + TYPE_STR + ' <select id="additional_type_' + id + '" name="additional_type[]" class="add_select" onkeypress="return nextfield(this, event, \'additional_base_' + id + '\')">' + 
					'<option selected value="s">' + FIXED_STR + '</option><option value="p">' + PERCENT_STR + '</option></select></td><td>' + BASE_STR + 
					' <select id="additional_base_' + id + '" name="additional_base[]" class="add_select" onkeypress="return nextfield(this, event, \'addrow_a_' + id + '\')">' + 
					'<option selected value="s">' + START_STR + '</option><option value="p">' + PREVIOUS_STR + '</option></select></td><td class="formright">' + 
					'<input type="button" class="add-remove-button" value="-" onclick="removerow_a(\'' + id + '\')"> <input id="addrow_a_' + id + '" type="button" class="add-remove-button" value="+" onclick="addrow_a(\'' + id + '\')">' +
					'</td></tr></table></td></tr>';

		$(document.getElementById("additionals_"+no)).after(TABLE);
		
		restore_table_height();

		document.getElementById("additional_name_"+id).focus();
	}

	function removerow_a(no)	{

		if (no == 1) return;

		$(document.getElementById("additionals_"+no)).remove();
		
		restore_table_height();
	}
	
	function addrow_c(no)	{

		var NAME_STR		= 	document.forms[0].name_str.value;
		var VALUE_STR		= 	document.forms[0].value_str.value;

		var id = uniqid('credits');

		var TABLE	=	'<tr id="credits_' + id + '"><td colspan="3"><table><tr><td>' + NAME_STR + '</td><td>' + 
					'<input id="credit_name_' + id +'" name="credit_name[]" style="width: 281px" value="" onkeypress="return nextfield(this, event, \'credit_value_' + id + '\')">' +
					'</td><td>' + VALUE_STR + '</td><td><input id="credit_value_' + id + '" name="credit_value[]" style="width: 120px" value="" onkeypress="return nextfield(this, event, \'addrow_c_' + id + '\')">' +
					'</td><td class="formright"><input type="button" class="add-remove-button" value="-" onclick="removerow_c(\'' + id + '\')"> <input id="addrow_c_' + id + '" type="button" class="add-remove-button" value="+" onclick="addrow_c(\'' + id + '\')">' +
					'</td></tr></table></td></tr>';

		$(document.getElementById("credits_"+no)).after(TABLE);
		
		restore_table_height();

		document.getElementById("credit_name_"+id).focus();
	}

	function removerow_c(no)	{

		if (no == 1) return;

		$(document.getElementById("credits_"+no)).remove();
		
		restore_table_height();
	}
	
	function restore_table_height()	{
	  
		if (! FORM_TABLE_HEIGHT) FORM_TABLE_HEIGHT = 1;
		
		$('#formtable').height(FORM_TABLE_HEIGHT);
		
		$('#container').css('background', 'transparent');
	}
	
	function get_form_height()	{
	
		FORM_TABLE_HEIGHT = $('#formtable').height();
	}
	
	function input_clear(inputname)	{
	  
		document.getElementById(inputname + '_value').value = '';
	}
