	/**
	 *	eBag
	 *
	 *	Open source company administration manager
	 *
	 *	@package	eBag
	 *	@author		Eper Kalman
	 *	@copyright	Copyright (c) 2012-2015, Eper Kalman
	 *	@license	GNU Affero General Public License Version 3 (http://www.gnu.org/licenses/agpl-3.0.html)
	 *	@since		Version 6.0.0
	 */
	
	/**
	  * eBag controlls salary globals form
	  */
	
	var FORM_TABLE_HEIGHT;

	function uniqid()	{

		var ID = 1;
		
		var ROWID;

		while(true)	{

			ROWID	=	'additionals_' + ID;

			if (document.getElementById(ROWID)==null)	break;

			ID++;
		}

		return ID;
	}

	function addrow(no)	{

		var NAME_STR		= 	document.forms[0].name_str.value;
		var VALUE_STR		= 	document.forms[0].value_str.value;
		var BASE_STR		=	document.forms[0].base_str.value;
		var START_STR		= 	document.forms[0].start_str.value;
		var PREVIOUS_STR	= 	document.forms[0].previous_str.value;

		var id = uniqid();

		var TABLE	=	'<tr id="additionals_' + id + '"><td colspan="2"><table width="280px"><tr><td>' + NAME_STR +
					'</td><td><input id="additional_name_' + id + '" name="additional_name[]" style="width: 100px" value="" onkeypress="return nextfield(this, event, \'additional_base_' + id + '\')"></td>' +
					'<td class="formright"> ' + BASE_STR + 
					' <select id="additional_base_' + id + '" name="additional_base[]" onkeypress="return nextfield(this, event, \'additional_value_' + id + '\')"><option selected value="s">' + START_STR + '</option><option value="p">' + PREVIOUS_STR + '</option></select></td></tr>' +
					'<tr><td>' + VALUE_STR +
					' %</td><td><input id="additional_value_' + id + '" name="additional_value[]" style="width: 100px" value="" onkeypress="return nextfield(this, event, \'addrow_' + id + '\')"></td>' +
					'<td class="formright"><input type="button" class="add-remove-button" value="-" onclick="removerow(' + id + ')">' +
					' <input id="addrow_' + id + '" type="button" class="add-remove-button" value="+" onclick="addrow(' + id + ')"> </td></tr></table></td></tr>';

		$(document.getElementById("additionals_"+no)).after(TABLE);
		
		restore_table_height();

		document.getElementById("additional_name_"+id).focus();
	}

	function removerow(no)	{

		if (no == 1) return;

		$(document.getElementById("additionals_"+no)).remove();
		
		restore_table_height();
	}
	
	function restore_table_height()	{
	  
		if (! FORM_TABLE_HEIGHT) FORM_TABLE_HEIGHT = 1;
		
		$('#formtable').height(FORM_TABLE_HEIGHT);
		
		$('#container').css('background', 'transparent');
	}
	
	function get_form_height()	{
	
		FORM_TABLE_HEIGHT = $('#formtable').height();
	}