<?php
	/**
	 *	eBag
	 *
	 *	Open source company administration manager
	 *
	 *	@package	eBag
	 *	@author		Eper Kalman
	 *	@copyright	Copyright (c) 2012-2015, Eper Kalman
	 *	@license	GNU Affero General Public License Version 3 (http://www.gnu.org/licenses/agpl-3.0.html)
	 *	@since		Version 3.0.2
	 */

	/**
	 * eBag generate array from backup copies
	 */
	 
	if (! defined('eBag'))	{
	
	      include('../views/logout.php'); 
	      
	      exit();
	}

	class BACKUPLIST	{
	
		function __construct()	{

			global $__CONF;

			$this->DIR	=	$__CONF->get('backup', 'directory');
		}

		public function getlist()	{

			if (! $this->DIR) return FALSE;

			$ARRAY = array();

			if ($dh = @opendir($this->DIR))		{

				while (($file = readdir($dh)) != FALSE )	{

					if (($file==".") or ($file=="..")) continue;

					if ((is_dir("$this->DIR/$file")) && (strpos($file, 'ebag')!==FALSE)) $ARRAY[] = $file;
				}

				closedir($dh);
			}

			if (! count($ARRAY)) return FALSE;

			return $ARRAY;
		}
	}

?>
