<?php
	/**
	 *	eBag
	 *
	 *	Open source company administration manager
	 *
	 *	@package	eBag
	 *	@author		Eper Kalman
	 *	@copyright	Copyright (c) 2012-2015, Eper Kalman
	 *	@license	GNU Affero General Public License Version 3 (http://www.gnu.org/licenses/agpl-3.0.html)
	 *	@since		Version 3.0.2
	 */

	/**
	 * eBag delivery read
	 */
	 
	if (! defined('eBag'))	{
	
	      include('../views/logout.php'); 
	      
	      exit();
	}

	class DELIVERYREAD	{

		function __construct()	{

			global $__SQL, $__CONF, $__LANG;

			$this->SQL	=	&$__SQL;

			$this->LANG	=	&$__LANG;

			$this->FORMAT	=	$__CONF->get('date', 'sql_format');

			$this->BASE	=	$_SESSION['BASE'];
		}

		private function lock()	{

			$this->SQL->query("	LOCK TABLES 	$this->BASE.deliverys_header WRITE, $this->BASE.deliverys_data WRITE,
								$this->BASE.orders_data WRITE	");
		}

		private function unlock()	{

			$this->SQL->query('UNLOCK TABLES');
		}

		public function read($ID)	{

			$ID	=	$this->SQL->escape($ID);

			$DATA	=	FALSE;

			$this->lock();

			$this->SQL->query("	SELECT 	`contactname`, `country` ,`city`, `zip`, `street`, `comment`, `annotation`,  `billed`,
							DATE_FORMAT(`date_of_creation`, '$this->FORMAT') AS `date_of_creation`
						FROM $this->BASE.deliverys_header
						WHERE `personID`='$ID' AND `deleted` IS NOT NULL LIMIT 1	");

			if ($this->SQL->num_rows())	{

				$DATA	=	$this->SQL->RESULT->fetch_assoc();

				if ($DATA)

				# read data
		
				$this->SQL->query("	SELECT `personID`, `code`, `name`, `quantity`, `unit`, `datapersonID`
							FROM $this->BASE.deliverys_data 
							WHERE `deliveryID`='$ID' AND `deleted` IS NOT NULL ORDER BY `personID`	");

				if ($this->SQL->num_rows())	{
				
					# Initialize vars
					
					$DATA['personID'] = $DATA['code'] = $DATA['name'] = $DATA['quantity'] = $DATA['unit'] = $DATA['orderID'] = array();

					$this->SQL->IT1_RESULT	=	$this->SQL->RESULT;
					
					while ($RESULT = $this->SQL->IT1_RESULT->fetch_assoc())	{

						$DATA['personID'][]	=	$RESULT['personID'];
						$DATA['code'][]		=	$RESULT['code'];
						$DATA['name'][]		=	$RESULT['name'];
						$DATA['quantity'][]	=	$RESULT['quantity'];
						$DATA['unit'][]		=	$RESULT['unit'];

						$datapersonID		=	$RESULT['datapersonID'];

						$this->SQL->query("	SELECT `orderID`
									FROM $this->BASE.orders_data
									WHERE	`personID`='$datapersonID' LIMIT 1	");

						if ($this->SQL->num_rows())	{

							$RESULT1	=	$this->SQL->RESULT->fetch_row();
							$orderID	=	$RESULT1[0];

							$this->SQL->query("	SELECT `personID` 
										FROM $this->BASE.orders_data
										WHERE `orderID` = '$orderID' AND `deleted` IS NOT NULL ORDER BY `personID` ");

							$LINE	=	1;

							while ($RESULT1 = $this->SQL->RESULT->fetch_row())	{

								if ($datapersonID == $RESULT1[0])	{break;} else {$LINE++;}
							}

							$DATA['orderID'][]	=	"$orderID -> $LINE";
						}
					}

				}	else	  {

					$DATA	=	FALSE;
				}
			}

			$this->unlock();

			return $DATA;
		}
	}
?>
