<?php
	/**
	 *	eBag
	 *
	 *	Open source company administration manager
	 *
	 *	@package	eBag
	 *	@author		Eper Kalman
	 *	@copyright	Copyright (c) 2012-2015, Eper Kalman
	 *	@license	GNU Affero General Public License Version 3 (http://www.gnu.org/licenses/agpl-3.0.html)
	 *	@since		Version 3.0.2
	 */

	/**
	 * eBag employee data read
	 */
	 
	if (! defined('eBag'))	{
	
	      include('../views/logout.php'); 
	      
	      exit();
	}

	class EMPLOYEEREAD	{

		function __construct()	{

			global $__SQL, $__CONF;

			$this->SQL		=	&$__SQL;
			
			$this->BASE		=	$_SESSION['BASE'];
			
			$this->FORMAT		=	$__CONF->get('date', 'sql_format');
		}

		public function read($ID)	{

			$ID	=	$this->SQL->escape($ID);

			$DATA	=	FALSE;

			$this->SQL->query("	SELECT	`employeename`, `identity_number`, `profession`, `workplace`, `education_degree`,
							DATE_FORMAT(`date_of_employment`, '$this->FORMAT') AS `date_of_employment`, 
							`city`, `zip`, `street`, `telephone` 
						FROM $this->BASE.employees WHERE personID='$ID' AND `deleted` IS NOT NULL LIMIT 1");

			if ($this->SQL->num_rows())	{

				$DATA	=	$this->SQL->RESULT->fetch_assoc();
			}

			return $DATA;
		}
	}

?>
