<?php
	/**
	 *	eBag
	 *
	 *	Open source company administration manager
	 *
	 *	@package	eBag
	 *	@author		Eper Kalman
	 *	@copyright	Copyright (c) 2012-2015, Eper Kalman
	 *	@license	GNU Affero General Public License Version 3 (http://www.gnu.org/licenses/agpl-3.0.html)
	 *	@since		Version 6.0.0
	 */

	/**
	 * returns eBag table columns
	 */

	# Turn off magic quotes runtime

	if (get_magic_quotes_runtime())	set_magic_quotes_runtime(false);

	# If magic quotes is enabled strip slashes from code
	
	if ((! isset($_GET['base'])) or (! isset($_GET['table']))) exit;

	if (get_magic_quotes_gpc())	{

		$_GET['base']  = stripslashes($_GET['base']);
		$_GET['table'] = stripslashes($_GET['table']);
	}

	$base	= $_GET['base'];
	$table	= $_GET['table'];

	# read configuration
	
	include('../classes/INIload.class.php');

	$__CONF	= new INI_load('../conf/eBag.ini');
	
	# create connection

	$mysqli = new mysqli($__CONF->get('connection', 'host'), $__CONF->get('connection', 'user'), $__CONF->get('connection', 'password'));

	if ($mysqli->connect_error) exit;

	$mysqli->set_charset("utf8");

	$mysqli->query("SET NAMES 'utf8' COLLATE 'utf8_bin'");
	
	$result = $mysqli->query(" SHOW COLUMNS FROM $base.$table ");

	if (! $result->num_rows) exit;
	
	$columns = array();
	
	while ($finfo = $result->fetch_row()) $columns[] = $finfo[0];

	header('Expires: Sun, 10 Jan 2010 12:00:00 GMT');
	header('Last-Modified: '.@gmdate( 'D, d M Y H:i:s').' GMT');
	header('Cache-Control: no-cache, no-store, must-revalidate');
	header('Pragma: no-cache');
	header('Content-Type: text/plain');

	echo implode(';', $columns);


?>
