<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
	<head>
		<meta http-equiv="Content-Type" CONTENT="text/html; charset=utf-8">
 		<meta name="robots" content="noindex,nofollow">

		<title>eBag</title>

		<link href="../css/<?php echo TEXT_DIRECTION; ?>/calculator.css" rel="stylesheet" type="text/css">

		<script type="text/javascript" src="../js/calculator.js?ver=<?php echo VERSION_NUMBER; ?>"></script>
	</head>

	<body onload="load_numerics_set(); reset_calc()">

		<table id="container">
			<tr>
				<td>
					<form name="calulator" action="<?php echo $SELF; ?>">
						<table class="calctable">
						 	<tr>
								<td colspan="8">
									<input id="display" class="display" value="0">
									<input id="E_" type="hidden" value="<?php echo $E_; ?>">
								</td>
							</tr>
							<tr>
								<td colspan="3">
								
									<table style="border-collapse: collapse">
										<tr>
											<td>
												 <input id="deg" type="checkbox" class="checkbox" checked><?php echo $deg; ?>
											</td>
											<td>
												 <input id="inv" type="checkbox" class="checkbox"><?php echo $inv; ?>
											</td>
										</tr>
									</table>
								</td>
								<td>
									<input id="n_7" type="button" class="button-numbers" value="<?php echo $n_7; ?>" onclick="number('7');">
								</td>
								<td>
									<input id="n_8" type="button" class="button-numbers" value="<?php echo $n_8; ?>" onclick="number('8');">
								</td>
								<td>
									<input id="n_9" type="button" class="button-numbers" value="<?php echo $n_9; ?>" onclick="number('9');">
								</td>
								<td>
									<input id="br_l" type="button" class="button-numbers" value="<?php echo $br_l; ?>" onclick="calculate('(');">
								</td>
								<td>
									<input id="br_r" type="button" class="button-numbers" value="<?php echo $br_r; ?>" onclick="calculate(')');">
								</td>
							</tr>
							<tr>
								<td>
									<input id="log" type="button" class="button-functions" value="<?php echo $log; ?>" onclick="calculate('log');">
								</td>
								<td>
									<input id="ln" type="button" class="button-functions" value="<?php echo $ln; ?>" onclick="calculate('ln');">
								</td>
								<td>
									<input id="abs" type="button" class="button-functions" value="<?php echo $abs; ?>" onclick="calculate('abs');">
								</td>
								<td>
									<input id="n_4" type="button" class="button-numbers" value="<?php echo $n_4; ?>" onclick="number('4');">
								</td>
								<td>
									<input id="n_5" type="button" class="button-numbers" value="<?php echo $n_5; ?>" onclick="number('5');">
								</td>
								<td>
									<input id="n_6" type="button" class="button-numbers" value="<?php echo $n_6; ?>" onclick="number('6');">
								</td>
								<td>
									<input id="multiply" type="button" class="button-numbers" value="<?php echo $multiply; ?>" onclick="calculate('*');">
								</td>
								<td>
									<input id="divide" type="button" class="button-numbers" value="<?php echo $divide; ?>" onclick="calculate('/');">
								</td>
							</tr>
							<tr>
								<td>
									<input id="sin" type="button" class="button-functions" value="<?php echo $sin; ?>" onclick="calculate('sin');">
								</td>
								<td>
									<input id="cos" type="button" class="button-functions" value="<?php echo $cos; ?>" onclick="calculate('cos');">
								</td>
								<td>
									<input id="tan" type="button" class="button-functions" value="<?php echo $tan; ?>" onclick="calculate('tan');">
								</td>
								<td>
									<input id="n_1" type="button" class="button-numbers" value="<?php echo $n_1; ?>" onclick="number('1');">
								</td>
								<td>
									<input id="n_2" type="button" class="button-numbers" value="<?php echo $n_2; ?>" onclick="number('2');">
								</td>
								<td>
									<input id="n_3" type="button" class="button-numbers" value="<?php echo $n_3; ?>" onclick="number('3');">
								</td>
								<td>
									<input id="plus" type="button" class="button-numbers" value="<?php echo $plus; ?>" onclick="calculate('+');">
								</td>
								<td>
									<input id="minus" type="button" class="button-numbers" value="<?php echo $minus; ?>" onclick="calculate('-');">
								</td>
							</tr>
							<tr>
								<td>
									<input id="perx" type="button" class="button-functions" value="<?php echo $perx; ?>" onclick="calculate('1perx');">
								</td>
								<td>
									<input id="x2" type="button" class="button-functions" value="<?php echo $x2; ?>" onclick="calculate('x2');">
								</td>
								<td>
									<input id="pi" type="button" class="button-functions" value="<?php echo $pi; ?>" onclick="calculate('pi');">
								</td>
								<td>
									<input id="n_0" type="button" class="button-numbers" value="<?php echo $n_0; ?>" onclick="number('0');">
								</td>
								<td>
									<input id="dot" type="button" class="button-numbers" value="<?php echo $decimal; ?>" onclick="decimal();">
								</td>
								<td>					
									<input id="plusminus" type="button" class="button-numbers" value="<?php echo $plusminus; ?>" onclick="calculate('+-');">
								</td>
								<td>
									<input id="end" type="button" class="button-numbers" value="<?php echo $equal; ?>" onclick="calculate('end');">
								</td>
								<td>
									<input id="C_" name="C_s" type="button" class="button-esc" value="<?php echo $reset; ?>" onclick="reset_calc();">
								</td>
							</tr>
						</table>
					</form>
				</td>
			</tr>
		</table>

		<script type="text/javascript">document.forms[0].C_s.focus();</script>
	</body>
</html>


