<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
	<head>
		<meta http-equiv="Content-Type" CONTENT="text/html; charset=utf-8">
 		<meta name="robots" content="noindex,nofollow">

		<title>eBag</title>

		<link href="../css/<?php echo TEXT_DIRECTION; ?>/default.css?ver=<?php echo VERSION_NUMBER; ?>" rel="stylesheet" type="text/css">

		<script type="text/javascript" src="../js/essentials.js?ver=<?php echo VERSION_NUMBER; ?>"></script>
		<script type="text/javascript" src="../js/requestobject.js?ver=<?php echo VERSION_NUMBER; ?>"></script>
		<script type="text/javascript" src="../js/nextfield_byid_rows.js?ver=<?php echo VERSION_NUMBER; ?>"></script>
		<script type="text/javascript" src="../js/quick_search_parent.js?ver=<?php echo VERSION_NUMBER; ?>"></script>
		<script type="text/javascript" src="../js/escape_function.js?ver=<?php echo VERSION_NUMBER; ?>"></script>
		<script type="text/javascript" src="../js/typesearch.js?ver=<?php echo VERSION_NUMBER; ?>"></script>
		<script type="text/javascript" src="../js/jquery.js?ver=<?php echo VERSION_NUMBER; ?>"></script>
		<script type="text/javascript" src="../js/feedstock_request2service.js?ver=<?php echo VERSION_NUMBER; ?>"></script>
	</head>

	<!-- Note: the request change & new request view are the same. -->

	<body onload="get_form_height();">

		<table id="container" width="100%">
			<tr>
				<td>

					<table class="tablesearch">

					<tr><td>

						<div class="border"><div class="padding-form">

							<form action="<?php echo $SELF; ?>" id="main" name="main" method="post">

								<table id="formtable" class="form">
									<tr>
										<td class="formlabel">
										<?php echo $NEWREQUEST; ?>
										</td>
									</tr>

									<tr class="separator"><td></td></tr>

									<tr>
										<td>
											<?php echo $SERVICECODE; ?>&nbsp;
											<input id="servicecode" name="servicecode" readonly value="<?php echo $SERVICECODEVALUE; ?>" onfocus="setactive('servicecode')" onkeypress="return nextfield(this, event, 'servicename')">
											&nbsp;&nbsp;
											<?php echo $SERVICENAME; ?>&nbsp;
											<input id="servicename" name="servicename" readonly value="<?php echo $SERVICENAMEVALUE; ?>" onfocus="setactive('servicename')" onkeypress="return nextfield(this, event, 'code_1')">
										</td>
									</tr>

									<tr><td class="line"><div class="formline"></div></td></tr>

									<tr>
										<td height="350" style="vertical-align: top;">

												<div class="columnames">
													<span class="spancolumns-code"><?php echo $COLUMNCODE; ?></span>
													<span class="spancolumns-name-long"><?php echo $COLUMNNAME; ?></span>
													<span class="spancolumns-quantity"><?php echo $COLUMNQUANTITY; ?></span>
													<span class="spancolumns-unit"><?php echo $COLUMNUNIT; ?></span>
												</div>

												<?php 
													$COUNT		=	1;

													if (isset($_POST['code'])) $COUNT = count($_POST['code']);										

														for ($i=0; $i<$COUNT; $i++)	{

															$code	= $name = $quantity = $unit = '';
															$ID	= $i+1;		

															if (isset($_POST['code'][$i])) 	$code=$_POST['code'][$i];
															if (isset($_POST['name'][$i])) 	$name=$_POST['name'][$i];
															if (isset($_POST['quantity'][$i])) $quantity=$_POST['quantity'][$i];
															if (isset($_POST['unit'][$i])) $unit=$_POST['unit'][$i];

															if ((! isset($REMOVEROW)) && ($ID > 1)) $REMOVEROW = 'onclick="removerow(this)"';

														echo	<<<"EOT"
														<div id="rowid_$ID" class="onerow">
															<input id="code_$ID" name="code[]" maxlength="25" class="code" value="$code" onfocus="setactive('rowid_$ID')" onkeypress="return nextfield(this, event, 'name')" onchange="typesearch(this, 'feedstock')">
															<input id="name_$ID" name="name[]" maxlength="40" class="name-long" value="$name" onfocus="setactive('rowid_$ID')" onkeypress="return nextfield(this, event, 'quantity')">
															<input id="quantity_$ID" name="quantity[]" maxlength="15" class="quantity" value="$quantity" onfocus="setactive('rowid_$ID')" onkeypress="return nextfield(this, event, 'unit')">
															<input id="unit_$ID" name="unit[]" readonly maxlength="15" class="unit" value="$unit" onfocus="setactive('rowid_$ID')" onkeypress="return nextfield(this, event, 'add')">
															<input id="add_$ID" class="addremove-button" value="+" type="button" onclick="appendrow(this)">
															<!-- the first row cannot be removed because of focusing -->
															<input class="addremove-button" value="-" type="button" $REMOVEROW>
														</div>
EOT;
												}

												?>

										</td>
									</tr>

									<tr><td class="line"><div id="position" class="formline"></div></td></tr>

									<tr>
										<td class="formright">
											<input id="active" name="active" type="hidden" value="rowid_1">
											<input class="button-small" value="<?php echo $WRITE; ?>" type="submit" name="submit">
											<input class="button-small" value="<?php echo $SEARCH; ?>" type="button" onclick="Javascript: frame_show_hide();">
											<input class="button-small" value="<?php echo $RESET; ?>" type="button" name="reset" onclick="Javascript: location.href='<?php echo $SELF; ?><?php if (isset($SERVICEID)) echo '&amp;id='.$SERVICEID; ?>'">
											<input class="button-small" value="<?php echo $CANCEL; ?>" type="button" name="cancel" onclick="Javascript: location.href='<?php echo $BACKTO; ?>'">
										</td>
									</tr>
								</table>

							</form>
						</div></div>

					</td><td>

						<iframe id="quicksearch" name="quicksearch" width="310" height="470" src="loader.php?cat=feedstockquicksearch" marginwidth="0" marginheight="0" scrolling="No" frameborder="0">eBag require an iframe capable browser.</iframe>

					</td></tr>
					</table>
				</td>
			</tr>
		</table>

	<script type="text/javascript">parent.frames['cont'].focus(); document.main.code_1.focus();</script>

	</body>

</html>

