<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
	<head>
		<meta http-equiv="Content-Type" CONTENT="text/html; charset=utf-8">
 		<meta name="robots" content="noindex,nofollow">

		<title>eBag</title>

		<link href="../css/<?php echo TEXT_DIRECTION; ?>/home.css?ver=<?php echo VERSION_NUMBER; ?>" rel="stylesheet" type="text/css">

		<script type="text/javascript" src="../js/requestobject.js?ver=<?php echo VERSION_NUMBER; ?>"></script>
		<script type="text/javascript" src="../js/chat.js?ver=<?php echo VERSION_NUMBER; ?>"></script>
		<script type="text/javascript" src="../js/datecheck.js?ver=<?php echo VERSION_NUMBER; ?>"></script>
		<script type="text/javascript" src="../js/backup.js?ver=<?php echo VERSION_NUMBER; ?>"></script>
	</head>

	<body onload="checkForRefresh(); chatread(); datecheck(); backup();">
	
		<table class="container">
		
			<tr>
				<td width="100%" valign="top">
				
					<span id="warning" class="warning-hide"><?php echo $DATE_WARNING; ?></span>
					<input id="serverdate" type="hidden" value="<?php echo $SERVER_DATE; ?>">
					
					<span style="color: #864E20;"><?php echo $NO_BACKUP_CREATED; ?>&nbsp;</span>
				</td>
				
				<td valign="top">
				
					<form action="<?php echo $SELF; ?>" name="chatform">

						<div id="chatcontainer" class="chat">

							<div class="label">
								<a href="#" onclick="Javascript: showHideChat();" class="show-chat">
									<?php echo $CHAT; ?>
									<span id="chatarrow">&#187;</span>
								</a>
								<img class="textright" src="../images/chat.png" width="19" height="19" border="0" alt="chat">
							</div>
							
							<div id="chatboard" class="chatboard" style="display: none; visibility : hidden;">

								<div id="chat-list" class="chat-list">
									<div id="chattable" class="chattable"></div>
								</div>
				
								<textarea class="chat-input" name="textarea" rows="3" cols="15" tabindex=1></textarea>

								<input class="chat-button" value="Chat"  type="button" name="send" onclick="Javascript: xmlHttpPost();" tabindex=2>

								<input type="hidden" name="user" value="<?php echo $USER; ?>">
							</div>

						</div>

					</form>

					<div style="height: 30px"></div>
					
					<div class="reminder">

						<div class="label" style="margin-bottom: 7px;">

							<?php echo $REMNAME;	?>

							<img class="textright" src="../images/reminder.png" width="23" height="25" border="0" alt="reminder">
						</div>

						<?php if (! $REMTABLE)	{	?>

							<div class="textcenter">
								<br><?php echo $NOREMIND; ?><br><br>
							</div>

						<?php }	else {	?>
						
							<table class="reminder-list">
							
								<?php 	$count=count($REMTABLE); 
									for ($i=0; $i<$count; $i++) { ?>
									
										<tr>
											<td>
												<a <?php echo $REMTABLE[$i]['href']; ?> target="remcal" class="reminder-date">
													&nbsp;<?php echo $REMTABLE[$i]['date']; ?>&nbsp;
												</a>
											</td>
											<td>
												<a <?php echo $REMTABLE[$i]['href']; ?> target="remcal" class="reminder-text">

													<?php echo $REMTABLE[$i]['value'] ;?>
												</a>
											</td>
										</tr>
								<?php } ?>
							</table>

						<?php } ?>

					</div>

					<iframe width="230" height="185" id="remcal" name="remcal" src="../controllers/loader.php?cat=calendar" marginwidth="0" marginheight="0" scrolling="No" frameborder="0"></iframe>
				</td>
			</tr>
		</table>
		
		<?php echo $JS; ?>

	</body>
</html>
