<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
	<head>
		<meta http-equiv="Content-Type" CONTENT="text/html; charset=utf-8">
 		<meta name="robots" content="noindex,nofollow">

		<title>eBag</title>

		<link href="../css/<?php echo TEXT_DIRECTION; ?>/default.css?ver=<?php echo VERSION_NUMBER; ?>" rel="stylesheet" type="text/css">

		<script type="text/javascript" src="../js/essentials.js?ver=<?php echo VERSION_NUMBER; ?>"></script>
		<script type="text/javascript" src="../js/pdfprint.js?ver=<?php echo VERSION_NUMBER; ?>"></script>
	</head>

	<body>
		<table id="container">
			<tr>
				<td>
					<div class="border"><div class="padding-form">

						<form action="<?php echo $SELF; ?>" id="main" name="main" method="post">

							<table class="form">
								<tr>
									<td class="formlabel" colspan="2">
										<?php echo $OFFERDETAILS; ?> 
									</td>
								</tr>

								<tr class="separator"><td colspan="2"></td></tr>

								<tr>
									<td class="formtop-left">

										<!-- header left side -->

										<table class="form">
											<tr>
												<td>
													<?php echo $CONTACTNAME; ?>
												</td>
												<td class="formright">
													<input name="contactname" class="detailsbox" readonly value="<?php echo $DATA['contactname']; ?>">
												</td>
											</tr>
				
											<tr>
												<td>
													<?php echo $COUNTRY; ?>
												</td>
												<td class="formright">
													<input name="country" class="detailsbox" readonly value="<?php echo $DATA['country']; ?>">
												</td>
											</tr>

											<tr>
												<td>
													<?php echo $CITY; ?>
												</td>
												<td class="formright">
													<input name="city" class="detailsbox" readonly value="<?php echo $DATA['city']; ?>">
												</td>
											</tr>

											<tr>
												<td>
													<?php echo $ZIP; ?>
												</td>
												<td class="formright">
													<input name="zip" class="detailsbox" readonly value="<?php echo $DATA['zip']; ?>">
												</td>
											</tr>

											<tr>
												<td>
													<?php echo $STREET; ?>
												</td>
												<td class="formright">
													<input name="street" class="detailsbox" readonly value="<?php echo $DATA['street']; ?>">
												</td>
											</tr>

											<tr>
												<td>
													<?php echo $DATE_OF_CREATION; ?>
												</td>
												<td class="formright">
													<input name="date_of_creation" class="detailsbox" readonly value="<?php echo $DATA['date_of_creation']; ?>">
												</td>
											</tr>
										</table>
									</td>

									<td class="formtop-right">

										<!-- header right side -->

										<table class="form" width="100%">

											<tr>
												<td style="min-width: 90px;">
													<?php echo $DELIVERY_FORM; ?>
												</td>
												<td class="formright">
													<input name="delivery_form" class="detailsbox" readonly value="<?php echo $DATA['delivery_form']; ?>">
												</td>
											</tr>

											<tr>
												<td>
													<?php echo $PAYMENT_FORM; ?>
												</td>
												<td class="formright">
													<input name="payment_form" class="detailsbox" readonly value="<?php echo $DATA['payment_form']; ?>">
												</td>
											</tr>

											<tr>
												<td>
													<?php echo $DEADLINE; ?>
												</td>
												<td class="formright">
													<input name="deadline_days" class="detailsbox" readonly value="<?php echo $DATA['deadline_days']; ?>">
												</td>
											</tr>

											<tr>
												<td>
													<?php echo $ANNOTATION; ?>
												</td>
												<td class="formright">
													<textarea id="annotation" name="annotation" readonly style="width: 240px; height: 31px" rows="2" cols="30"><?php echo $DATA['annotation']; ?></textarea>
												</td>
											</tr>

											<tr>
												<td>
													<?php echo $COMMENT; ?>
												</td>
												<td class="formright">
													<textarea id="comment" name="comment" readonly style="width: 240px; height: 31px" rows="2" cols="30"><?php echo $DATA['comment']; ?></textarea>
												</td>
											</tr>
										</table>
									</td>
								</tr>

								<tr><td class="line" colspan="2"><div class="formline"></div></td></tr>

								<tr>
									<td height="150" style="vertical-align: top;" colspan="2">

											<div class="columnames">
												<span class="spancolumns-code-long"><?php echo $COLUMNCODE; ?></span>
												<span class="spancolumns-name"><?php echo $COLUMNNAME; ?></span>
												<span class="spancolumns-quantity-long"><?php echo $COLUMNQUANTITY; ?></span>
												<span class="spancolumns-unit"><?php echo $COLUMNUNIT; ?></span>
												<span class="spancolumns-unitprice"><?php echo $COLUMNUNITPRICE; ?></span>
												<span class="spancolumns-sum"><?php echo $COLUMNSUM; ?></span>
												<span class="spancolumns-tax"><?php echo $COLUMNTAX; ?>%</span>												
												<span class="spancolumns-sumtax"><?php echo $COLUMNSUM; ?> + <?php echo $COLUMNTAX; ?></span>
											</div>

											<?php 
												$COUNT		=	1;

												if (isset($DATA['code'])) $COUNT = count($DATA['code']);										

													for ($i=0; $i<$COUNT; $i++)	{

														$code	= $name = $quantity = $unit = $price = $tax = $sum = $sum_tax = '';

														if (isset($DATA['code'][$i])) 	$code=$DATA['code'][$i];
														if (isset($DATA['name'][$i])) 	$name=$DATA['name'][$i];
														if (isset($DATA['quantity'][$i])) $quantity=$DATA['quantity'][$i];
														if (isset($DATA['unit'][$i])) $unit=$DATA['unit'][$i];
														if (isset($DATA['price'][$i])) $price=$DATA['price'][$i];
														if (isset($DATA['sum'][$i])) $sum=$DATA['sum'][$i];
														if (isset($DATA['tax'][$i])) $tax=$DATA['tax'][$i];	
														if (isset($DATA['sum_tax'][$i])) $sum_tax=$DATA['sum_tax'][$i];	
														
														echo	<<<"EOT"
														<div class="onerow">
															<input name="code[]" readonly class="code-long" value="$code">
															<input name="name[]" readonly class="name" value="$name">
															<input name="quantity[]" readonly class="quantity-long" value="$quantity">
															<input name="unit[]" readonly class="unit" value="$unit">
															<input name="price[]" readonly class="unitprice" value="$price">
															<input name="sum[]" readonly class="sum" value="$sum">
															<input name="tax[]" readonly class="tax" value="$tax">
															<input name="sum_tax[]" readonly class="sumtax" value="$sum_tax">
														</div>
EOT;
													}
											?>
									</td>
								</tr>

								<tr>
									<td colspan="2" class="formright">
									
										<div class="summary-block">

											<table class="summary-table">

												<tr><td class="line" colspan="4"><div class="formline"></div></td></tr>

												<tr>
													<td>
														<?php echo $PRICE_WITHOUT_TAX; ?>
													</td>
													<td class="sum-sep">:</td>
													<td class="sum-right">
														<?php echo $DATA['price_sum']; ?>
													</td>
													<td>
														<?php echo $DATA['currency']; ?>
													</td>
												</tr>

												<tr>
													<td>
														<?php echo $TAX; ?>
													</td>
													<td class="sum-sep">:</td>
													<td class="sum-right">
														<?php echo $DATA['price_tax']; ?>
													</td>
													<td>
														<?php echo $DATA['currency']; ?>
													</td>
												</tr>
												<tr>
													<td>
														<?php echo $PRICE_WITH_TAX; ?>
													</td>
													<td class="sum-sep">:</td>
													<td class="sum-right">
														<?php echo $DATA['price_sum_tax']; ?>
													</td>
													<td>
														<?php echo $DATA['currency']; ?>
													</td>
												</tr>

											<?php 
												
												if (($DATA['use_session_discount']) && ($DATA['session_discount']>0)) echo "<tr><td>$SESSIONDISCOUNT</td><td class=\"sum-sep\">:</td><td class=\"sum-right\">".$DATA['session_discount']." </td><td>%</td></tr>\n";
												if (($DATA['use_service_discount']) && ($DATA['service_discount']>0)) echo "<tr><td>$SERVICEDISCOUNT</td><td class=\"sum-sep\">:</td><td class=\"sum-right\">".$DATA['service_discount']." </td><td>%</td></tr>\n";
												if (($DATA['use_article_discount']) && ($DATA['article_discount']>0)) echo "<tr><td>$ARTICLEDISCOUNT</td><td class=\"sum-sep\">:</td><td class=\"sum-right\">".$DATA['article_discount']." </td><td>%</td></tr>\n";
											?>

											</table>
										</div>
									</td>
								</tr>

								<tr><td class="line" colspan="2"><div class="formline"></div></td></tr>

								<tr>
									<td class="formright" colspan="2">
										<input class="button-small" value="<?php echo $PRINT; ?>" type="button" name="pdfprint" onclick="Javascript: _pdfprint('offer','<?php echo $OFFERID; ?>','<?php if (isset($DATA['offer_year'])) echo $DATA['offer_year']; ?>');" >
										<input class="button-small" value="<?php echo $CANCEL; ?>" type="button" name="cancel" onclick="Javascript: location.href='<?php echo $BACKTO; ?>'">
									</td>
								</tr>
							</table>

						</form>
					</div></div>
				</td>
			</tr>
		</table>

	<script type="text/javascript">document.main.cancel.focus();</script>

	</body>

</html>


