<?php
	/**
	 *	eBag
	 *
	 *	Open source company administration manager
	 *
	 *	@package	eBag
	 *	@author		Eper Kalman
	 *	@copyright	Copyright (c) 2012-2015, Eper Kalman
	 *	@license	GNU Affero General Public License Version 3 (http://www.gnu.org/licenses/agpl-3.0.html)
	 *	@since		Version 6.0.0
	 */

	/**
	 * eBag bill (single) by revers or delivery ID
	 */
	 
	if (! defined('eBag'))	{
	
	      include('../views/logout.php'); 
	      
	      exit();
	}

	check_year_for_write('bills');

	pagepermission('bills', 'w');

	$DELIVERYIDs	=	$REVERSIDs	=	'';
	
	if (isset($_GET['new'])) unset($_SESSION['FROM']);

	if (isset($_GET['id']))		{

		if ($_GET['type']=='delivery')	{

			$DELIVERYIDs	=	$_GET['id'];

		}	else	  {

			$REVERSIDs	=	$_GET['id'];
		}
	}

	if (isset($_SESSION['FROM']))	{

		$BACKTO	=	$_SESSION['FROM'];
		
		$NEW = '';
	
	}	else	  {

		$BACKTO	= 'loader.php?cat=section&amp;id=bills';
		
		$NEW = '&new=bill_by_id';
	}

	if (isset($_POST['submit']))	{

		load_c('SQL');	

		$__SQL	=	new SQL();

		load_m('billbyid');		

		$__BILL	=	new BILLBYID();

		$RESULT	=	$__BILL->create($_POST);

		$BILLID	=	$__BILL->getid();

		unset($__BILL, $__SQL);

		if (($RESULT != 'writed') && ($RESULT != 'updated'))	{

			$view	=	new View('errorbox');
			$view	->	assign('SELF', backward());
			$view	->	assign('ERROR', $__LANG->get('error'));
			$view	->	assign('ERRTXT', $__LANG->get($RESULT));
			$view	->	assign('BACK', $__LANG->get('back'));
			$view	->	display();
			exit;
		}

		header("location: loader.php?cat=bill$RESULT&id=$BILLID$NEW");

		exit;
	}

	$view	=	new View('billbyid');

	$view	->	assign('SELF', backward());
	$view	->	assign('BILL_BY_ID', $__LANG->get('bill_by_id'));
	$view	->	assign('DELIVERY_NO', $__LANG->get('deliverybynumber'));
	$view	->	assign('REVERS_NO', $__LANG->get('servicelistbynumber'));
	$view	->	assign('DELIVERYIDs', $DELIVERYIDs);
	$view	->	assign('REVERSIDs', $REVERSIDs);
	$view	->	assign('ADD_TO_BILL', $__LANG->get('add2billno'));
	$view	->	assign('ONLY2COMPANIES', $__LANG->get('only2companies'));
	$view	->	assign('COMMENT', $__LANG->get('comment'));
	$view	->	assign('ANNOTATION', $__LANG->get('annotation'));
	$view	->	assign('WRITE', $__LANG->get('write'));
	$view	->	assign('RESET', $__LANG->get('reset'));
	$view	->	assign('CANCEL', $__LANG->get('cancel'));
	$view	->	assign('BACKTO', $BACKTO);

	$view	->	display();

?>
