<?php

	/**
	 *	eBag
	 *
	 *	Open source company administration manager
	 *
	 *	@package	eBag
	 *	@author		Eper Kalman
	 *	@copyright	Copyright (c) 2012-2015, Eper Kalman
	 *	@license	GNU Affero General Public License Version 3 (http://www.gnu.org/licenses/agpl-3.0.html)
	 *	@since		Version 6.0.0
	 */

	/**
	 * eBag define current discount
	 */
	 
	if (! defined('eBag'))	{
	
	      include('../views/logout.php'); 
	      
	      exit();
	}
	
	pagepermission('settings', 'w');
	
	check_for_backup_in_progress('settings');
	
	if (isset($_POST['submit']))	{
	
		load_c('SQL');

		$__SQL	= new SQL();
	
		load_m('currentdiscount');

		$__DISCOUNT = new CURRENTDISCOUNT();
		
		$RESULT = $__DISCOUNT->change($_POST['discount']);

		if ($RESULT !== TRUE)	{
	      
			$view	=	new View('errorbox');
			$view	->	assign('SELF', backward());
			$view	->	assign('ERROR', $__LANG->get('error'));
			$view	->	assign('ERRTXT', $__LANG->get($RESULT));
			$view	->	assign('BACK', $__LANG->get('back'));
			$view	->	display();
			exit;
		}
		
		$view	=	new View('sucessbox');
		$view	->	assign('SELF', backward());
		$view	->	assign('MESSAGE', $__LANG->get('discountchanged'));
		$view	->	assign('OK', $__LANG->get('ok'));
		$view	->	assign('BACKTO', backward());
		
		$JSCRIPT = '<script type="text/javascript">parent.frames["head"].location.reload();</script>';
		
		$view	->	assign('JSCRIPT', $JSCRIPT);
		$view	->	display();
		exit;
	}
	
	load_f('mb_wrap');
	
	$view = new View('currentdiscount');
	
	$view->assign('SELF', backward());
	$view->assign('SET_CURRENT_DISCOUNT', $__LANG->get('set_current_discount'));
	$view->assign('DISCOUNT_VALUE', $__LANG->get('session_discount').' %');
	$view->assign('WARNING', mb_wrap($__LANG->get('discountwarning'), 50, '<br>'));
	$view->assign('BACKTO', 'loader.php?cat=section&amp;id=settings');
	$view->assign('OK', $__LANG->get('ok'));
	$view->assign('CANCEL', $__LANG->get('cancel'));
	
	$_POST['discount'] = $_SESSION['discount'];
	
	$view->display();
?>