<?php
	/**
	 *	eBag
	 *
	 *	Open source company administration manager
	 *
	 *	@package	eBag
	 *	@author		Eper Kalman
	 *	@copyright	Copyright (c) 2012-2015, Eper Kalman
	 *	@license	GNU Affero General Public License Version 3 (http://www.gnu.org/licenses/agpl-3.0.html)
	 *	@since		Version 5.0.0
	 */

	/**
	 * eBag service feedstock request details
	 */
	 
	if (! defined('eBag'))	{
	
	      include('../views/logout.php'); 
	      
	      exit();
	}

	pagepermission('services', 'r'); 

	$SERVICEID = $_GET['id'];

	$BACKTO	= "loader.php?cat=servicedetails&amp;id=$SERVICEID";

	load_c('SQL');

	$__SQL 	= new SQL;

	# read servicedata first

	load_m('serviceread');

	$__SERVICE	=	new SERVICEREAD();

	$SERVICEDATA	=	$__SERVICE->read($SERVICEID);

	unset($__SERVICE);

	if ($SERVICEDATA === FALSE)	{

		$view	=	new View('errorbox');
		$view	->	assign('SELF', $BACKTO);
		$view	->	assign('ERROR', $__LANG->get('error'));
		$view	->	assign('ERRTXT', $__LANG->get('cannotread'));
		$view	->	assign('BACK', $__LANG->get('back'));
		$view	->	display();
		exit;
	}

	$SERVICECODE	=	$SERVICEDATA['code'];
	$SERVICENAME	=	$SERVICEDATA['servicename'];

	unset($SERVICEDATA);

	# or read feedstock request data

	load_m('feedstockrequestread');

	$__REQUEST	=	new FEEDSTOCKREQUESTREAD();

	$DATA		=	$__REQUEST->read($SERVICEID);

	unset($__REQUEST);

	if (! $DATA)	{

		$view	=	new View('sucessbox');
		$view	->	assign('SELF', $BACKTO);
		$view	->	assign('MESSAGE', $__LANG->get('requestnotexists'));
		$view	->	assign('OK', $__LANG->get('ok'));
		$view	->	assign('BACKTO', $BACKTO);
		$view	->	display();
		exit;
	}

	# display requests view

	$view=	new View('feedstockrequestdetails');

	$view	->	assign('SELF', $BACKTO);
	$view	->	assign('FEEDSTOCKREQUESTDETAILS', $__LANG->get('feedstockrequestdetails', $SERVICEID));
	$view	->	assign('SERVICECODE', $__LANG->get('code'));
	$view	->	assign('SERVICENAME', $__LANG->get('servicename'));
	$view	->	assign('SERVICECODEVALUE', $SERVICECODE);
	$view	->	assign('SERVICENAMEVALUE', $SERVICENAME);
	$view	->	assign('COLUMNCODE', $__LANG->get('columnname_code'));
	$view	->	assign('COLUMNNAME', $__LANG->get('columnname_name'));
	$view	->	assign('COLUMNQUANTITY', $__LANG->get('columnname_quantity'));
	$view	->	assign('COLUMNUNIT', $__LANG->get('columnname_unit'));
	$view	->	assign('DATA', $DATA);

	unset ($DATA, $SERVICEID, $SERVICECODE, $SERVICENAME, $__SQL);

	$view	->	assign('BACKTO', $BACKTO);
	$view	->	assign('CANCEL', $__LANG->get('cancel'));

	$view	->	display();
	
?>
