<?php
	/**
	 *	eBag
	 *
	 *	Open source company administration manager
	 *
	 *	@package	eBag
	 *	@author		Eper Kalman
	 *	@copyright	Copyright (c) 2012-2015, Eper Kalman
	 *	@license	GNU Affero General Public License Version 3 (http://www.gnu.org/licenses/agpl-3.0.html)
	 *	@since		Version 6.0.0
	 */

	/**
	 * eBag new operating suplie
	 */
	 
	if (! defined('eBag'))	{
	
	      include('../views/logout.php'); 
	      
	      exit();
	}
	
	check_year_for_write('operating_suplies');

	pagepermission('operating_suplies', 'w');
	
	load_c('SQL');

	$__SQL	= new SQL;

	if (isset($_POST['submit']))	{

		load_m('supliewrite');

		$__SUPLIE	=	new SUPLIEWRITE();

		unset($_POST['submit']);

		$RESULT		=	$__SUPLIE->write($_POST);

		unset($__SQL, $__SUPLIE);

		if ($RESULT !== TRUE)	{
		
			$_POST['_err_address'] = backward();

			$_SESSION['_POST_ERR']	=  $_POST;

			$view	=	new View('errorbox');
			$view	->	assign('SELF', $_POST['_err_address'].'&amp;p_err=1');
			$view	->	assign('ERROR', $__LANG->get('error'));
			$view	->	assign('ERRTXT', $__LANG->get($RESULT));
			$view	->	assign('BACK', $__LANG->get('back'));
			$view	->	display();
			exit;
		}

		$view	=	new View('alertbox');
		$view	->	assign('SELF', backward());
		$view	->	assign('MESSAGE', $__LANG->get('datawritten'));
		$view	->	assign('NEW', $__LANG->get('new'));
		$view	->	assign('CANCEL', $__LANG->get('cancel'));
		$view	->	assign('BACKTO', 'loader.php?cat=section&amp;id=operating_suplies');
		$view	->	display();
		exit;
	}

	# Write back the post if error was

	if (post_get_data_verified())	{

		$_POST = enc_quotes($_SESSION['_POST_ERR']);
		
		unset($_SESSION['_POST_ERR']);
	}
	
	load_f('is_selected_unit');
	
	$view	=	new View('newoperatingsuplie');

	$view	->	assign('SELF', backward());
	$view	->	assign('NEWOPERATINGSUPLIE', $__LANG->get('newoperatingsuplie'));
	$view	->	assign('CODE', $__LANG->get('code'));
	$view	->	assign('SUPLIENAME', $__LANG->get('supliename'));
	$view	->	assign('DIMENSIONS', $__LANG->get('dimensions'));
	$view	->	assign('UNIT', $__LANG->get('unit'));

	$__UNITS	=	new UNITloader($__CONF->get('cache', 'use_apc_cache'));
	$UNITS	 	=	$__UNITS->getall();
	$DEFAULT	=	$__UNITS->getdefault();
	
	unset($__UNITS, $__SQL);

	$view	->	assign('UNITS', $UNITS);
	$view	->	assign('DEFAULTUNIT', $DEFAULT);
	$view	->	assign('PURCHASEPRICE', $__LANG->get('purchase_price'));
	$view	->	assign('CURRENCY', $__CONF->get('payments', 'valuta'));
	$view	->	assign('COMMENT', $__LANG->get('comment'));
	$view	->	assign('WRITE', $__LANG->get('write'));
	$view	->	assign('RESET', $__LANG->get('reset'));
	$view	->	assign('CANCEL', $__LANG->get('cancel'));

	$view	->	display();

?>
