<?php
	/**
	 *	eBag
	 *
	 *	Open source company administration manager
	 *
	 *	@package	eBag
	 *	@author		Eper Kalman
	 *	@copyright	Copyright (c) 2012-2015, Eper Kalman
	 *	@license	GNU Affero General Public License Version 3 (http://www.gnu.org/licenses/agpl-3.0.html)
	 *	@since		Version 6.0.0
	 */

	/**
	 * eBag offer search
	 */
	 
	if (! defined('eBag'))	{
	
	      include('../views/logout.php'); 
	      
	      exit();
	}
	
	pagepermission('offers', 'r');

	# Delete previous search data

	if (isset($_GET['new']))	{

		$_SESSION['LISTPAGE']	=	0;

		if (isset($_SESSION['COMMAND'])) unset($_SESSION['COMMAND'], $_SESSION['LIMIT']);

		unset($_GET['new']);
	}

	# Display founds

	if (	(isset($_POST['submit'])) or 
		(isset($_SESSION['COMMAND']))	)		{

			unset($_POST['submit']);

			load_c('SQL');

			$__SQL	= new SQL();

			load_c('SEARCH');

			$search		=	new SEARCH($_SESSION['BASE'].'.offers_header', $_GET['cat'], 'offerdetails', 'offerchange', 'offerdelete', PAGEINCREMENT, $_SESSION['list_limit']);
			$COLUMNS	=	array ('personID', 'contactname', 'city', 'contacttype', 'date_of_creation', 'deadline_days', 'ordered');
			$search		->	column($COLUMNS);

			if (! isset($_POST)) $_POST=array();

			if ($search->addsearch($_POST)); unset($_POST);

			$_SESSION['FROM']	=	backward();

			if ($search->create())	{

				$HTMLTABLE	=	&$search->TABLE;

				$view	=	new View('tablesearch');
				$view 	->	assign('HTMLTABLE', $HTMLTABLE); unset($HTMLTABLE, $search, $__SQL);
				$view 	->	assign('SELF', backward());
				$view 	->	assign('FOCUS', 'NEW');				
				$view	->	display();
				exit;
			}

			$view	=	new View('errorbox');
			$view	->	assign('SELF', backward());
			$view	->	assign('ERROR', $__LANG->get('error'));
			$view	->	assign('ERRTXT', $__LANG->get('nothingtosearch'));
			$view	->	assign('BACK', $__LANG->get('back'));
			$view	->	display();
			exit;
	}
	
	# display the form

	$view	=	new View('offersearch');
	
	$view 	->	cache();

	$view	->	assign('SELF', backward());
	$view	->	assign('OFFERSEARCH', $__LANG->get('offersearch'));
	$view	->	assign('OFFERID', $__LANG->get('personIDlong'));
	$view	->	assign('CONTACTID', $__LANG->get('contactID'));
	$view	->	assign('CONTACTNAME', $__LANG->get('contactname'));
	$view	->	assign('CITY', $__LANG->get('city'));
	$view	->	assign('TYPE', $__LANG->get('contacttype'));
	$view	->	assign('DATE_OF_CREATION', $__LANG->get('date_of_creation'));
	$view	->	assign('DEADLINE', $__LANG->get('deadline_days'));
	$view	->	assign('ORDERED', $__LANG->get('ordered'));
	$view	->	assign('OFFER_IN_VALUTA', $__LANG->get('offer_in_valuta'));
	$view	->	assign('SESSION_DISCOUNT', $__LANG->get('used_session_discount'));
	$view	->	assign('SERVICE_DISCOUNT', $__LANG->get('used_service_discount'));
	$view	->	assign('ARTICLE_DISCOUNT', $__LANG->get('used_article_discount'));
	$view	->	assign('CODE', $__LANG->get('code'));
	$view	->	assign('QUANTITY', $__LANG->get('quantity'));
	$view	->	assign('YES', $__LANG->get('yes'));
	$view	->	assign('NO', $__LANG->get('no'));
	$view	->	assign('SEARCH', $__LANG->get('search'));
	$view	->	assign('CANCEL', $__LANG->get('cancel'));
	$view	->	assign('RESET', $__LANG->get('reset'));

	$ELEMENTS	=	array ('!=0'=>'!=0', '=0'=>'=0', '<0'=>'&lt;0', '<10'=>'&lt;10', '<50'=>'&lt;50', '<100'=>'&lt;100', '<500'=>'&lt;500', '<1000'=>'&lt;1000');

	$view	->	assign('ELEMENT', $ELEMENTS); unset($ELEMENTS);

	$TYPES		=	array(0=>$__LANG->get("type0"), 1=>$__LANG->get("type1"));

	$view	->	assign('TYPES', $TYPES); unset($TYPES);

	$view	->	display();
?>
