<?php
	/**
	 *	eBag
	 *
	 *	Open source company administration manager
	 *
	 *	@package	eBag
	 *	@author		Eper Kalman
	 *	@copyright	Copyright (c) 2012-2015, Eper Kalman
	 *	@license	GNU Affero General Public License Version 3 (http://www.gnu.org/licenses/agpl-3.0.html)
	 *	@since		Version 3.0.2
	 */

	/**
	 * eBag operating suplie request change select
	 * note: only current year can be selected
	 */

	if (! defined('eBag'))	{
	
	      include('../views/logout.php'); 
	      
	      exit();
	}
	 
	if (isset($_POST['selected']))	{

		if ((! is_empty($_POST['id'])) && ((integer)$_POST['id'] > 0))	{

			header("location: loader.php?cat=suplierequestchange&id=".(integer)$_POST['id']);

			exit;
		}
	}

	$_SESSION['FROM'] = backward();

	$view	=	new View('listselector');

	$view 	->	assign('SELF', backward());
	$view 	->	assign('SELECTLABEL', $__LANG->get('suplierequestselect'));
	$view 	->	assign('SELECTEDID', $__LANG->get('requestbynumber'));
	$view	->	assign('BACKTO', 'loader.php?cat=section&amp;id=operating_suplies');

	$view 	->	assign('OK', $__LANG->get('ok'));
	$view 	->	assign('RESET', $__LANG->get('reset'));
	$view 	->	assign('CANCEL', $__LANG->get('cancel'));

	$view	->	display();

?>
