<?php
	/**
	 *	eBag
	 *
	 *	Open source company administration manager
	 *
	 *	@package	eBag
	 *	@author		Eper Kalman
	 *	@copyright	Copyright (c) 2012-2015, Eper Kalman
	 *	@license	GNU Affero General Public License Version 3 (http://www.gnu.org/licenses/agpl-3.0.html)
	 *	@since		Version 5.0.0
	 */

	/**
	 * eBag order to stock called from production with production orderID
	 */
	 
	if (! defined('eBag'))	{
	
	      include('../views/logout.php'); 
	      
	      exit();
	}

	if (isset($_POST['cancel']))	{
	
		if ($_POST['change'])	{$CATEGORY = 'productionorderupdated';}	else {$CATEGORY = 'productionorderwrited';}

		header('location: loader.php?cat='.$CATEGORY.'&id='.$_POST['productionorderID'].'&stock=1');

		exit;
	}

	load_c('SQL');

	$__SQL	= new SQL();

	$ERRSCRIPT	=	'';

	if (isset($_POST['submit']))	{

		if ($_POST['change'])	{$CATEGORY = 'productionorderupdated';}	else {$CATEGORY = 'productionorderwrited';}

		load_m('stockorder2productionwrite');

		$__STOCKORDER	=	new STOCKORDER2PRODUCTIONWRITE();

		$RESULT		=	$__STOCKORDER->write($_POST);

		if ($RESULT===TRUE)	header('location: loader.php?cat='.$CATEGORY.'&id='.$_POST['productionorderID'].'&stock=1');

		# note: if error happends go on and read it again & alert the error

		# analize error type

		if (strpos($RESULT, '->') !== FALSE)	{

			list ($errtype, $point, $pointID)	= explode('->', $RESULT);

			$ERROR	=	$__LANG->get($errtype, $__LANG->get($point).': '.$pointID);

		}	else	 {

			$ERROR	= $__LANG->get($RESULT);
		}

		$ERRSCRIPT	=	"<script type=\"text/javascript\">alert('$ERROR')</script>";
	}

	if (isset($_GET['id']))	{$productionorderID = $_GET['id'];} else {$productionorderID = $_POST['productionorderID'];}

	$CHANGE =	'';

	if (isset($_GET['change']))	$CHANGE	= 'TRUE';

	load_c('STOCKORDER2PRODUCTION');

	$TABLE		=	new STOCKORDER2PRODUCTION;

	$RESULT		=	$TABLE -> create($_GET['id']);

	if (! $RESULT)	{

		$view	=	new View('errorbox');
		$view	->	assign('SELF', 'loader.php?cat=section&amp;id=production');
		$view	->	assign('ERROR', $__LANG->get('error'));
		$view	->	assign('ERRTXT', $__LANG->get('nothing2add2order2stock'));
		$view	->	assign('BACK', $__LANG->get('back'));
		$view	->	display();
		exit;
	}
	
	$ARTICLES = $FEEDSTOCKS = '';

	if  ($FEEDSTOCKS_TABLE	=	&$TABLE->FEEDSTOCKS_TABLE) $FEEDSTOCKS = $__LANG->get('feedstocks');
	if  ($ARTICLES_TABLE	=	&$TABLE->ARTICLES_TABLE) $ARTICLES = $__LANG->get('articles');

	$view	=	new View('tableorder2stock2production');
	
	$view	->	assign('FEEDSTOCKS', $FEEDSTOCKS);
	$view	->	assign('ARTICLES', $ARTICLES);
	$view	->	assign('FEEDSTOCKS_TABLE', $FEEDSTOCKS_TABLE);
	$view	->	assign('ARTICLES_TABLE', $ARTICLES_TABLE);
	$view	->	assign('PRODUCTIONORDERID', $_GET['id']);
	$view	->	assign('CHANGE', $CHANGE);
	$view	->	assign('CANCEL', $__LANG->get('cancel'));
	$view	->	assign('ORDER', $__LANG->get('order'));
	$view	->	assign('SCRIPT', $ERRSCRIPT);
	
	unset($TABLE, $FEEDSTOCKS_TABLE, $ARTICLES_TABLE, $__SQL);

	$view	->	display();
?>
