<?php
	/**
	 *	eBag
	 *
	 *	Open source company administration manager
	 *
	 *	@package	eBag
	 *	@author		Eper Kalman
	 *	@copyright	Copyright (c) 2012-2015, Eper Kalman
	 *	@license	GNU Affero General Public License Version 3 (http://www.gnu.org/licenses/agpl-3.0.html)
	 *	@since		Version 5.0.0
	 */

	/**
	 * eBag window after order is updated
	 */
	 
	if (! defined('eBag'))	{
	
	      include('../views/logout.php'); 
	      
	      exit();
	}

	$view	=	new View('writedupdated');

	$view	->	assign('SELF', backward());
	
	$labelID =	$_GET['id'];

	if (isset($_GET['rep']) && $_GET['rep']) $labelID .= $_GET['rep'];
	
	$view	->	assign('LABEL', $__LANG->get('orderchanged', $labelID));
	$view	->	assign('ID', $_GET['id']);
	$view	->	assign('TYPE', 'order');
	$view	->	assign('PRINT', $__LANG->get('print'));
	$view	->	assign('CANCEL', $__LANG->get('cancel'));
	$view	->	assign('CANCELTO', $_SESSION['FROM']);
	$view	->	display();

?>
