<?php
	/**
	 *	eBag
	 *
	 *	Open source company administration manager
	 *
	 *	@package	eBag
	 *	@author		Eper Kalman
	 *	@copyright	Copyright (c) 2012-2015, Eper Kalman
	 *	@license	GNU Affero General Public License Version 3 (http://www.gnu.org/licenses/agpl-3.0.html)
	 *	@since		Version 6.0.0
	 */

	/**
	 * eBag reseting system cache and marks
	 */
	 
	if (! defined('eBag'))	{
	
	      include('../views/logout.php'); 
	      
	      exit();
	}

	pagepermission('settings', 'w');

	if (isset($_POST['submit']))	{
	
		load_m('cache_reset');
		
		$__RESET = new CACHE_RESET();
		
		if (isset($_POST['delete_cache']) && $_POST['delete_cache']) $__RESET->delete_cache();
		
		if (isset($_POST['system_unlock']) && $_POST['system_unlock']) $__RESET->delete_marks();
		
		$JSCRIPT = <<<"EOT"
		
		<script type="text/javascript">
		
			var frame = parent.document.getElementById("nav");
			
			if (frame != null) {frame.src = frame.src;}
			
			frame = parent.document.getElementById("head");
			
			if (frame != null) {frame.src = frame.src;}
			
		</script>
		
EOT;

		$view	=	new View('sucessbox');
		$view	->	assign('SELF', backward());
		$view	->	assign('MESSAGE', $__LANG->get('reset_completed'));
		$view	->	assign('OK', $__LANG->get('ok'));
		$view	->	assign('BACKTO', 'loader.php?cat=home');
		$view	->	assign('JSCRIPT', $JSCRIPT);
		$view	->	display();
		exit;
	}
	
	$view	=	new View('system_reset');
	
	$view	->	cache();

	$view	->	assign('SELF', backward());
	$view	->	assign('SYSTEM_RESET', $__LANG->get('system_reset'));
	$view	->	assign('DELETE_CACHE', $__LANG->get('delete_cache'));
	$view	->	assign('UNLOCK_SYSTEM', $__LANG->get('unlock_system'));
	$view	->	assign('WARNING', $__LANG->get('warning'));
	$view	->	assign('UNLOCK_WARNING', $__LANG->get('unlock_warning'));
	$view	->	assign('OK', $__LANG->get('ok'));
	$view	->	assign('CANCEL', $__LANG->get('cancel'));
	$view	->	assign('BACKTO', 'loader.php?cat=section&amp;id=settings');

	$view	->	display();
?>