<?php
	/**
	 *	eBag
	 *
	 *	Open source company administration manager
	 *
	 *	@package	eBag
	 *	@author		Eper Kalman
	 *	@copyright	Copyright (c) 2012-2015, Eper Kalman
	 *	@license	GNU Affero General Public License Version 3 (http://www.gnu.org/licenses/agpl-3.0.html)
	 *	@since		Version 6.0.0
	 */

	/**
	 * eBag user change
	 */

	if (! defined('eBag'))	{
	
	      include('../views/logout.php'); 
	      
	      exit();
	}
	 
	pagepermission('users', 'w');

	if (isset($_GET['id']))		{

		$ID = $_SESSION['ID'] = $_GET['id'];
		
		unset($_SESSION['_POST_ERR']);

	}	else	  {

		$ID = $_SESSION['ID'];
	}

	load_c('SQL');

	$__SQL	= new SQL();

	if (isset($_POST['submit']))	{

		unset($_POST['submit']);

		load_m('userwrite');

		$__USER	=	new USERWRITE();

		$RESULT	=	$__USER->update($ID, $_POST);

		unset($__USER, $__SQL);

		if ($RESULT !==TRUE)	{
		
			$_POST['_err_address'] = backward();

			$_SESSION['_POST_ERR']	=  $_POST;

			$view	=	new View('errorbox');
			$view	->	assign('SELF', $_POST['_err_address']);
			$view	->	assign('ERROR', $__LANG->get('error'));
			$view	->	assign('ERRTXT', $__LANG->get($RESULT));
			$view	->	assign('BACK', $__LANG->get('back'));
			$view	->	display();
			exit;
		}

		$view	=	new View('sucessbox');
		$view	->	assign('SELF', backward());
		$view	->	assign('MESSAGE', $__LANG->get('userdatachanged'));
		$view	->	assign('OK', $__LANG->get('ok'));
		$view	->	assign('BACKTO', "loader.php?cat=userpermissions&amp;id=$ID");
		$view	->	display();
		exit;
	}

	if (post_data_verified())	{

		$_POST = enc_quotes($_SESSION['_POST_ERR']);

		unset($_SESSION['_POST_ERR']);

	}	else	 {

		load_m('userread');

		$__USER = new USERREAD();

		$_POST = $__USER->read($ID);
	}

	unset($__SQL, $__USER);

	if (! $_POST)	{

		$view	=	new View('errorbox');
		$view	->	assign('SELF', $_SESSION['FROM']);
		$view	->	assign('ERROR', $__LANG->get('error'));
		$view	->	assign('ERRTXT', $__LANG->get('cannotread'));
		$view	->	assign('BACK', $__LANG->get('back'));
		$view	->	display();
		exit;
	}

	$view	=	new View('userchange');

	$view	->	assign('USERCHANGE', $__LANG->get('userchange', $ID));
	$view	->	assign('SURNAME', $__LANG->get('surname'));
	$view	->	assign('LASTNAME', $__LANG->get('lastname'));
	$view	->	assign('USERNAME', $__LANG->get('username'));
	$view	->	assign('PASSWORD', $__LANG->get('password'));
	$view	->	assign('MAIL', $__LANG->get('mail'));
	$view	->	assign('WRITE', $__LANG->get('write'));
	$view	->	assign('RESET', $__LANG->get('reset'));
	$view	->	assign('BACKTO', $_SESSION['FROM']);
	$view	->	assign('CANCEL', $__LANG->get('cancel'));

	$view	->	display();

?>
