<?php
	/**
	 *	eBag
	 *
	 *	Open source company administration manager
	 *
	 *	@package	eBag
	 *	@author		Eper Kalman
	 *	@copyright	Copyright (c) 2012-2015, Eper Kalman
	 *	@license	GNU Affero General Public License Version 3 (http://www.gnu.org/licenses/agpl-3.0.html)
	 *	@since		Version 6.0.0
	 */

	/**
	 * eBag splits textarea value into array for printing in PDFs
	 */

	function explode_textarea($text)	{

		if (is_empty($text)) return FALSE;

		$lines = mb_split("\n", $text);

		$data  = array();

		if (count($lines))	{

			foreach ($lines as $line)	{

				if (($line != "\r") && ($line != "\n") && ($line != "\0") && (! is_empty($line))) $data[] = mb_eregi_replace('\n|\r', '', $line, 'm');
			}
		}

		if (! count($data)) $data = FALSE;

		return $data;
	}

?>