	/**
	 *	eBag
	 *
	 *	Open source company administration manager
	 *
	 *	@package	eBag
	 *	@author		Eper Kalman
	 *	@copyright	Copyright (c) 2012-2015, Eper Kalman
	 *	@license	GNU Affero General Public License Version 3 (http://www.gnu.org/licenses/agpl-3.0.html)
	 *	@since		Version 6.0.0
	 */
	
	/**
	 * eBag fill new item to stock order form with data
	 */

	function fill(base)	{
	  
		var i, getValue;
	    
		var Field	=	[];
	  
		var fields	=	['code', 'quantity', 'supplier', 'order2stockID', 'orderedquantity', 'stockquantity'];
		
		var xmlHttp	=	createXmlHttpRequestObject();

		xmlHttp.onreadystatechange=function()	{

			if (xmlHttp.readyState==4 && xmlHttp.status==200)	{

				if (xmlHttp.responseText)	{
				  
					var xmlDoc = xmlHttp.responseXML;
					
					for (i=2; i<6; i++) {

						xmlData = xmlDoc.getElementsByTagName(fields[i]);
						
						getValue = '';
						
						if ((xmlData[0].childNodes[0] != null) && (typeof xmlData[0].childNodes[0] != 'undefined')) {

							  getValue = xmlData[0].childNodes[0].nodeValue;
						}
						
						Field[i].innerHTML = getValue;
						
						Field[1].readonly = false;
						
						Field[1].readOnly = false;
						
						// note: focus to submit is important because of ie
						
						document.forms[0].submit.focus();
						
						Field[1].focus();
					}

				}	else	   {
			  
					form_reset();
				}
	    		}
	  	}
	
		for (i=0; i<6; i++) {
		  
			Field[i] = document.getElementById(fields[i]);
		}
		
		var code = Field[0].value;
		
		function form_reset()	{
		  
			for (i=0; i<6; i++) {

				if ((fields[i]=='code') || (fields[i]=='quantity')) {Field[i].value='';} else {Field[i].innerHTML='';}
			}
			
			Field[1].readOnly = true;
			
			document.forms[0].stocktype.focus();
		}
		
		if (! code) {form_reset(); return;}

		var link = '../requests/order2stockfill.php?base=' + base + '&type=' + document.forms[0].stocktype.value + '&code=' + encodeURIComponent(code) + '&nc=' + (new Date().getTime()).toString();

		xmlHttp.open('GET', link, true);

		xmlHttp.send();
	}

