	/**
	 *	eBag
	 *
	 *	Open source company administration manager
	 *
	 *	@package	eBag
	 *	@author		Eper Kalman
	 *	@copyright	Copyright (c) 2012-2015, Eper Kalman
	 *	@license	GNU Affero General Public License Version 3 (http://www.gnu.org/licenses/agpl-3.0.html)
	 *	@since		Version 6.0.0
	 */

	/**
	 * IE selects width settings
	 */
	 
	
	function auto_width(el)	{
	
			el.firstClicked = true;
	
			w = el.offsetWidth;
		
			el.style.width = 'auto';
			
			if (w > el.offsetWidth) el.style.width = w + 'px';	
	}
	
	function fixed_width(el)	{

			el.style.width = el.parentNode.offsetWidth + 'px';
	}
	
	function is_hovered(el)	{
			
			e = window.event;
			
			p = el.getBoundingClientRect();
			
			if ((e.clientX >= p.left) && (e.clientX <= p.right) && (e.clientY >= p.top) && (e.clientY <= p.bottom))	return true;
	
			return false;
	}
	
	function el_clicked(el)	{
	
			if (el.firstClicked) {el.firstClicked = false; return;}
			
			if (is_hovered(el)) return;
			
			fixed_width(el);
	}
	
	function el_outed(el)	{
	
			if (! window.event.toElement) return;

			fixed_width(el);
	}
	
	function ie8_set_to_auto(el)	{
	  
		var w = el.offsetWidth;
		
		if (! w) w = parseInt(el.style.width, 10);

		if ((typeof w == 'string') || (! w)) return;
	  
		el.onmouseover = 'auto_width(this)';
		
		el.onmouseout = 'el_outed(this)';
		
		el.onblur  = 'fixed_width(this)';
		
		el.onclick = 'el_clicked(this)';
		
		el.parentNode.innerHTML = '<div style="display: inline-block; overflow: hidden; width: ' + w + 'px;">' + el.parentNode.innerHTML + '</div>';
	}
	
	function ie8_select_auto()	{
	
		var i, l, el;
		
		el = document.getElementsByTagName('select');

		if (el == null) return;

		l = el.length;

		for (i=0; i<l; i++)	{
		  
			ie8_set_to_auto(el[i]);
		}
	}

	document.onreadystatechange = function () {
	
		if (document.readyState == "complete") ie8_select_auto();
	}
	

		
