<?php
	/**
	 *	eBag
	 *
	 *	Open source company administration manager
	 *
	 *	@package	eBag
	 *	@author		Eper Kalman
	 *	@copyright	Copyright (c) 2012-2015, Eper Kalman
	 *	@license	GNU Affero General Public License Version 3 (http://www.gnu.org/licenses/agpl-3.0.html)
	 *	@since		Version 3.0.2
	 */

	/**
	 * eBag Reminder read one date
	 */
	 
	if (! defined('eBag'))	{
	
	      include('../views/logout.php'); 
	      
	      exit();
	}

	class REMINDER	{

		var $SQL;

		function __construct()	{

			global $__SQL, $__CONF;

			$this->SQL	=	&$__SQL;

			$this->FORMAT	=	$__CONF->get('date', 'sql_format');

			$this->USER	=	$this->SQL->escape($_SESSION['username']);
		}

		public function read_one($date)		{

			$this->SQL->query("	SELECT DATE_FORMAT(`date`, '$this->FORMAT') AS `date`, `value` 
						FROM ebag.reminder 
					   	WHERE `user`='$this->USER' AND `date`='$date' LIMIT 1");

			$this->RESULT	=	&$this->SQL->RESULT;
		}
	}
?>
